<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after
 *
 * @package Dentist Plus
 */

$footerlayout = of_get_option('footerlayout');
 
?>

    <div id="footer-wrapper">
          <div class="container">
            <div class="footer">
              <?php if($footerlayout=='onecolumn'){ ?>
              <div class="cols-1">
                <?php if(!dynamic_sidebar('footer-1')) : ?>
                <div class="widget-column-1">
                  <?php wp_nav_menu( array( 'theme_location' => 'footer') ); ?>
                  <div class="clear"></div>
                </div>
                <?php  endif; ?>
                <div class="clear"></div>
              </div>
              <?php 
        }
         elseif ($footerlayout=='twocolumn'){ ?>
              <div class="cols-2">
                <?php if(!dynamic_sidebar('footer-1')) : ?>
                <div class="widget-column-1">
                  <h3><?php if( of_get_option('footeraboutustitle') != '') { echo of_get_option('footeraboutustitle'); } ; ?></h3>
                  <?php echo do_shortcode(of_get_option('openinghoursefooter', true)) ; ?>
                </div>
                <?php endif; ?>
                <?php if(!dynamic_sidebar('footer-2')) : ?>
                <div class="widget-column-3">                  
                  <h3><?php if( of_get_option('footerrcposttitle') != '') { echo of_get_option('footerrcposttitle'); } ; ?></h3>
                  <?php echo do_shortcode('[footer-posts show="2"] ');?>                  
                </div>
                <?php endif; ?>
                <div class="clear"></div>
              </div>
              <!--end .cols-2-->
              <?php 
        }
        elseif($footerlayout=='threecolumn'){ ?>
              <div class="cols-3">
                <?php if(!dynamic_sidebar('footer-1')) : ?>
                <div class="widget-column-1">
                  <h3><?php if( of_get_option('footeraboutustitle') != '') { echo of_get_option('footeraboutustitle'); } ; ?></h3>
                  <?php echo do_shortcode(of_get_option('openinghoursefooter', true)) ; ?>
                </div>
                <?php  endif; ?>
                <?php if(!dynamic_sidebar('footer-2')) : ?>
                 <div class="widget-column-2">
                  <h3><?php if( of_get_option('footerrcposttitle') != '') { echo of_get_option('footerrcposttitle'); } ; ?></h3>
                  <?php echo do_shortcode('[footer-posts show="2"] ');?> 
                 </div>
                <?php endif; ?>
                <?php if(!dynamic_sidebar('footer-3')) : ?>
                <div class="widget-column-3">
                  <h3><?php if( of_get_option('contacttitle') != ''){ echo of_get_option('contacttitle');}; ?></h3>
                  <p class="parastyle">
                    <?php if( of_get_option('address',true) != '') { echo of_get_option('address',true) ; } ; ?>
                    <br />
                    <?php if( of_get_option('address2',true) != '') { echo of_get_option('address2',true) ; } ; ?>
                  </p>
                  <div class="phone-no">
                    <p>
                      <?php if( of_get_option('phone',true) != ''){ ?>
                      <span>
                      <?php _e('Phone:','dentistplus'); ?>
                      </span><?php echo of_get_option('phone'); ?>
                      <?php } ?>
                      <br />
                      <?php if( of_get_option('phone2',true) != ''){ ?>
                      <i class="fa fa-phone"></i> <?php echo of_get_option('phone2'); ?>
                      <?php } ?>
                    </p>
                    <p>
                      <?php if( of_get_option('email',true) != '' ) { ?>
                      <span>
                      <?php _e('Email: ','dentistplus'); ?>
                      </span><a href="mailto:<?php echo of_get_option('email',true); ?>"> <?php echo of_get_option('email',true) ; ?></a>
                      <?php } ?>
                    </p>
                  </div>
                  <?php echo do_shortcode(of_get_option('footersocialmedia', true) ); ?>
                  <div class="clear"></div>
                </div>
                <?php endif; ?>
                <div class="clear"></div>
              </div>
              <!--end .cols-3-->
              <?php
        }
        elseif($footerlayout=='fourcolumn'){ ?>
              <div class="cols-4">
                <?php if(!dynamic_sidebar('footer-1')) : ?>
                <div class="widget-column-1">
                  <h3><?php if( of_get_option('footeraboutustitle') != '') { echo of_get_option('footeraboutustitle'); } ; ?></h3>
                  <?php echo do_shortcode(of_get_option('openinghoursefooter', true)) ; ?>
                </div>
                <?php  endif; ?>
                <?php if(!dynamic_sidebar('footer-2')) : ?>
                <div class="widget-column-2">
                  <h3><?php if( of_get_option('footerrcposttitle') != '') { echo of_get_option('footerrcposttitle'); } ; ?></h3>
                  <?php echo do_shortcode('[footer-posts show="2"] ');?>                 
                </div>
                <?php endif; ?>
                <?php if(!dynamic_sidebar('footer-3')) : ?>
                <div class="widget-column-3">
                 <h3>
                    <?php if( of_get_option('footermenutitle') != '') { echo of_get_option('footermenutitle'); } ; ?>
                  </h3>
                  <?php wp_nav_menu( array( 'theme_location' => 'footer') ); ?>
                 </div>
                <?php endif; ?>
                <?php if(!dynamic_sidebar('footer-4')) : ?>
                <div class="widget-column-4">
                  <h3>
                    <?php if( of_get_option('contacttitle') != ''){ echo of_get_option('contacttitle');}; ?>
                  </h3>
                  
                  	<?php if( of_get_option('address',true) != ''){ ?>
                		<p><?php echo of_get_option('address'); ?></p>
                    <?php } ?>
                    <?php if( of_get_option('address2',true) != ''){ ?>
                		<p><?php echo of_get_option('address2'); ?></p>
                    <?php } ?>

                  <div class="phone-no">
                    <p>
                      <?php if( of_get_option('email',true) != '' ) { ?>
                      <span>
                      <?php _e('Email: ','dentistplus'); ?>
                      </span><a href="mailto:<?php echo of_get_option('email',true); ?>"> <?php echo of_get_option('email',true) ; ?></a>
                      <?php } ?>
                      <br />
                      <?php if( of_get_option('phone',true) != ''){ ?>
                      <span>
                      <?php _e('Phone: ','dentistplus'); ?>
                      </span><?php echo of_get_option('phone'); ?>
                      <?php } ?>
                      <br />
                      <?php if( of_get_option('weblink',true) != ''){ ?>
                      <span>
                      <?php _e('Website: ','dentistplus'); ?>
                      </span><?php echo of_get_option('weblink'); ?>
                      <?php } ?>
                    </p>
                  </div>
                  <?php echo do_shortcode(of_get_option('footersocialmedia', true) ); ?>
                  <div class="clear"></div>
                </div>
                <?php endif; ?>
                <div class="clear"></div>
              </div>
              <!--end .cols-4-->
              <?php } ?>
            </div>
            <!--end .footer--> 
          </div>
      <!--end .container-->
      
      <div class="copyright-wrapper">
        <div class="container">
          <div class="copyright-txt">
            <?php if( of_get_option('copytext',true) != ''){ echo of_get_option('copytext',true); }; ?>
          </div>
          <div class="design-by">
            <?php if( of_get_option('ftlink', true) != ''){echo of_get_option('ftlink',true);}; ?>
          </div>
        </div>
        <div class="clear"></div>
      </div>
    </div>
    <?php if( of_get_option('backtotop') != '') { echo do_shortcode(of_get_option('backtotop')); } ; ?>
<?php wp_footer(); ?>
<div class="clear"></div>
</div>
</body>
</html>