<?php 

/**
 * A unique identifier is defined to store the options in the database and reference them from the theme.
 * By default it uses the theme name, in lowercase and without spaces, but this can be changed if needed.
 * If the identifier changes, it'll appear as if the options have been reset.
 */ 

function optionsframework_option_name() {
	// Change this to use your theme slug
	$themename = wp_get_theme();
	$themename = preg_replace("/\W/", "_", strtolower($themename) );
	return $themename;
}

/**
 * Defines an array of options that will be used to generate the settings page and be saved in the database.
 * When creating the 'id' fields, make sure to use all lowercase and no spaces.
 * 
 * If you are making your theme translatable, you should replace 'dentistplus'
 * with the actual text domain for your theme.  Read more:
 * http://codex.wordpress.org/Function_Reference/load_theme_textdomain
*/

function optionsframework_options() {

	// Pull all the pages into an array
	 $options_pages = array();
	 $options_pages_obj = get_pages('sort_column=post_parent,menu_order');
	 $options_pages[''] = 'Select a page:';
	 foreach ($options_pages_obj as $page) {
	  $options_pages[$page->ID] = $page->post_title;
	 }

	// array of section content.
	$section_text = array(
		1 => array(
			'section_title'		=> '',
			'menutitle'			=> 'about-section',
			'bgcolor' 			=> '#faf9f9',
			'bgimage'			=> '',
			'class'				=> '',
			'content'			=> '<div class="about-image"><img src="'.get_template_directory_uri().'/images/about-img.png" alt=""></div>
<div class="about-content">								
<h2 class="section_title">About Us</h2>
<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor. Aenean massa fringilla vel, aliquet nec, vulputate eget, arcu.In enim justo, vulputate eget, arcu.In enim justo, rhoncus consectetuer adipiscing rhoncus consectetuer adipiscing elit. Phasellus sollicitudin, lorem id rutrum tincidunt, tortor erat luctus orci.</p><p>Nulla consequat massa quis enim.Donec pede justo, fringilla vel, aliquet nec, vulputate eget, arcu.In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.Integer tincidunt. Cras dapibus. Nulla consequat massa quis enim.Donec pede justo, fringilla vel, aliquet nec, vulputate eget, arcu.In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo. Nullam dictum felis eu pede mollis pretium.Integer tincidunt. Cras dapibus. Vivamus elementum semper nisi.Aenean vulputate eleifend tellus consectetuer adipiscing Cras dapibus. Vivamus elementum semper nisi.</p><a href="#" class="read-more">Read More</a>',
		),
		
		2 => array(
			'section_title'	=> 'Why Dentist Plus',
			'menutitle'		=> 'featuresection',
			'bgcolor' 		=> '',
			'bgimage'		=> '',
			'class'			=> 'themefeatures',
			'content'		=> '[column_content type="one_third"]<i class="fa fa-ambulance"></i>
<h3>Emergency Services</h3>Lorem ipsum dolro interdum temporuisque quam massa, gravida id laoreet vel dolor. Nulla consequat massa quis enim.Donec pede justo
[/column_content]

[column_content type="one_third"]<i class="fa fa-medkit"></i>
<h3>Medical Counseling</h3>Lorem ipsum dolro interdum temporuisque quam massa, gravida id laoreet vel dolor. Nulla consequat massa quis enim.Donec pede justo
[/column_content]

[column_content type="one_third_last"]<i class="fa fa-user-md"></i>
<h3>Qualified Doctors</h3>Lorem ipsum dolro interdum temporuisque quam massa, gravida id laoreet vel dolor. Nulla consequat massa quis enim.Donec pede justo
[/column_content]

[column_content type="one_third"]<i class="fa fa-stethoscope"></i>
<h3>Total Care</h3>Lorem ipsum dolro interdum temporuisque quam massa, gravida id laoreet vel dolor. Nulla consequat massa quis enim.Donec pede justo
[/column_content]

[column_content type="one_third"]<i class="fa fa-support"></i>
<h3>24/7 Customer Support</h3>Lorem ipsum dolro interdum temporuisque quam massa, gravida id laoreet vel dolor. Nulla consequat massa quis enim.Donec pede justo
[/column_content]

[column_content type="one_third_last"]<i class="fa fa-plus-square"></i>
<h3>Affordable Dental Care</h3>Lorem ipsum dolro interdum temporuisque quam massa, gravida id laoreet vel dolor. Nulla consequat massa quis enim.Donec pede justo
[/column_content]
',
		),
		
		3 => array(
			'section_title'		=> 'Our Clinic Services',
			'menutitle'			=> 'dentalservices',
			'bgcolor' 			=> '#faf9f9',
			'bgimage'			=> get_template_directory_uri().'/images/section3-bg.jpg',
			'class'				=> '',
			'content'			=> '[our_clinic][clinic link="#" title="Dental Care" content="We provide a wide range of oral health care services to patients, from routine checkups to fitting braces"][/clinic][clinic link="#" title="Tooth Protection" content="There are only 2 dental specialties that only focus on dental esthetics: Prosthodontics and Orthodontics"][/clinic][clinic link="#" title="Dental Calculus" content="Types of bridges may vary, depending upon how they are fabricated and the way they anchor to the adjacent teeth"][/clinic][clinic link="#" title="Dental Implants" content="The implant fixture is first placed, so that it is likely to osseointegrate, then a dental prosthetic is added"][/clinic][clinic link="#" title="Teeth Bleaching" content="Bleaching methods use carbamide peroxide which reacts with water to form hydrogen peroxide loremis"][/clinic][clinic link="#" title="Prevention" content="The most important part of preventive dentistry is to brush teeth with fluoride toothpaste approved by ADA"][/clinic][/our_clinic]',
		),

		
		4 => array(
			'section_title'	=> '',
			'menutitle'		=> 'pediservices',
			'bgcolor' 		=> '#39adff',
			'bgimage'		=> '',
			'class'			=> 'pediserviceswrap',
			'content'		=> '<h2>Affordable pediatric services</h2>
<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor. Aenean massa fringilla vel, aliquet nec, vulputate eget, arcu.In enim justo, vulputate eget, arcu.In enim justo, rhoncus consectetuer adipiscing rhoncus consectetuer adipiscing elit.</p>
<div class="custombtn"><a href="#" class="ReadMore" target="">Learn More</a></div>'
		 ),
		 
		5 => array(
			'section_title'	=> 'Dental Team',
			'menutitle'		=> 'expert-team',
			'bgcolor' 		=> '',
			'bgimage'		=> '',
			'class'			=> '',
			'content'		=> '[ourteam show="4"]'
		),

		6 => array(
			'section_title'	=> 'Client Testimonials',
			'menutitle'		=> 'testimonials',
			'bgcolor' 		=> '',
			'bgimage'		=> get_template_directory_uri().'/images/testimonial.jpg',
			'class'			=> 'testimonials-home',
			'content'		=> '[testimonials]',
		),	
		
		7 => array(
			'section_title'		=> 'Latest Posts',
			'menutitle'			=> 'latestNews',
			'bgcolor' 			=> '#faf9f9',
			'bgimage'			=> '',
			'class'				=> '',
			'content'			=> '[latestposts show="4"]',
		),	
		
		8 => array(
			'section_title'	=> 'Photo Gallery',
			'menutitle'		=> '',
			'bgcolor' 		=> '',
			'bgimage'		=> '',
			'class'			=> 'gallerywrap',
			'content'		=> '[photogallery filter="true" show="8"]'
		),
		
	);

	// Typography Body
	$typography_body = array(
		'size' => '13px',
		'face' => 'Montserrat',
		'style' => 'normal',
		'weight' => 'normal',
		'transform' => 'none',
		'color' => '#4c4c4c' );
		
	// Typography Logo
	$typography_logo = array(
		'size' => '32px',
		'face' => 'Montserrat',
		'style' => 'normal',
		'weight' => '700',
		'transform' => 'capitalize',
		'color' => '#ffffff' );
	
	// Typography Logo Tag
	$typography_tagline = array(
		'size' => '13px',
		'face' => 'Montserrat',
		'style' => 'normal',
		'weight' => '400',
		'transform' => 'none',
		'color' => '#ffffff' );
		
	// Typography Navigation
	$typography_navigation = array(
		'size' => '14px',
		'face' => 'Montserrat',
		'style' => 'normal',
		'weight' => '400',
		'transform' => 'capitalize',
		'color' => '#ffffff' );

	// Typography Slider Title
	$typography_slidertitle = array(
		'size' => '40px',
		'face' => 'Montserrat',
		'style' => 'normal',
		'weight' => '700',
		'transform' => 'capitalize',
		'color' => '#ffffff' );

	// Typography Slider Description
	$typography_sliderdesc = array(
		'size' => '15px',
		'face' => 'Montserrat',
		'style' => 'normal',
		'weight' => '400',
		'transform' => 'capitalize',
		'color' => '#ffffff' );
		
	// Section Title
	$typography_sectiontitle = array(
		'size' => '26px',
		'face' => 'Montserrat',
		'style' => 'normal',
		'weight' => '500',
		'transform' => 'capitalize',
		'color' => '#1f1f1f' );
		
	// Section Title
	$typography_footertitle = array(
		'size' => '20px',
		'face' => 'Montserrat',
		'style' => 'normal',
		'weight' => '400',
		'transform' => 'capitalize',
		'color' => '#ffffff' );
		
	// Heading Title h1
	$typography_headingh1 = array(
		'size' => '32px',
		'face' => 'Montserrat',
		'style' => 'normal',
		'weight' => '700',
		'transform' => 'none',
		'color' => '#242424' );
		
	// Heading Title h2
	$typography_headingh2 = array(
		'size' => '28px',
		'face' => 'Montserrat',
		'style' => 'normal',
		'weight' => '700',
		'transform' => 'none',
		'color' => '#242424' );
		
	// Heading Title h3
	$typography_headingh3 = array(
		'size' => '20px',
		'face' => 'Montserrat',
		'style' => 'normal',
		'weight' => '400',
		'transform' => 'none',
		'color' => '#242424' );

	// Heading Title h4
	$typography_headingh4 = array(
		'size' => '17px',
		'face' => 'Montserrat',
		'style' => 'normal',
		'weight' => '500',
		'transform' => 'uppercase',
		'color' => '#3b3b3b' );
		
	// Heading Title h5
	$typography_headingh5 = array(
		'size' => '16px',
		'face' => 'Montserrat',
		'style' => 'normal',
		'weight' => '500',
		'transform' => 'none',
		'color' => '#010101' );
		
	// Heading Title h6
	$typography_headingh6 = array(
		'size' => '14px',
		'face' => 'Montserrat',
		'style' => 'normal',
		'weight' => '500',
		'transform' => 'uppercase',
		'color' => '#39adff' );


	//Basic Settings
	$options[] = array(
		'name' => __('Basic Settings', 'dentistplus'),
		'type' => 'heading');

	$options[] = array(
		'name' => __('Logo', 'dentistplus'),
		'desc' => __('Upload your main logo here', 'dentistplus'),
		'id' => 'logo',
		'std'	=> '',
		'type' => 'upload');

	$options[] = array(		
		'desc' => __('If your logo is large, you can increase this number to allow for more height.', 'dentistplus'),
		'id' => 'logoheight',
		'std' => '40',
		'type' => 'text');
		
	$options[] = array(	
		'name' => __('Site title & Description', 'dentistplus'),		
		'desc'	=> __('Check To hide site title and description', 'dentistplus'),
		'id'	=> 'hide_titledesc',
		'type'	=> 'checkbox',
		'std'	=> '');		
		
	$options[] = array(
		'name' => __('Sticky Header', 'dentistplus'),
		'desc' => __('Check this to disable sticky header on scroll', 'dentistplus'),
		'id' => 'headstick',
		'std' => '',
		'type' => 'checkbox');	
		
	$options[] = array(
		'name' => __('Disable Animation', 'dentistplus'),
		'desc' => __('Check this to disable animation on scroll', 'dentistplus'),
		'id' => 'scrollanimation',
		'std' => '',
		'type' => 'checkbox');	
		
	$options[] = array(
		'name' => __('Excerpt Length ( increase this number to allow for more content)', 'dentistplus'),
		'desc' => __('change excerpt length for the homepage latest posts.', 'dentistplus'),
		'id' => 'newscontentlength',
		'std' => '12',
		'type' => 'text');

	$options[] = array(
		'desc' => __('Blog post page change text content lenth here ', 'dentistplus'),
		'id' => 'blogpostpagecontent',
		'std' => '80',
		'type' => 'text');	
		
	$options[] = array(
		'desc' => __('Change excerpt length for the footer posts', 'dentistplus'),
		'id' => 'footerexcerptlength',
		'std' => '8',
		'type' => 'text');				

	$options[] = array(
		'desc' => __('Change Read More button text for homepage latest posts.', 'dentistplus'),
		'id' => 'homereadmoretext',
		'std' => 'Read More',
		'type' => 'text');	
		
	$options[] = array(
		'desc' => __('Change Read More button text for blog templates.', 'dentistplus'),
		'id' => 'blogtemplatereadmoretext',
		'std' => 'Read More',
		'type' => 'text');	
		
	$options[] = array(
		'desc' => __('Change Read More button text for our professionals boxes', 'dentistplus'),
		'id' => 'teamreadmoretext',
		'std' => 'Read More',
		'type' => 'text');	
		
	$options[] = array(
		'desc' => __('Change Read More button text for footer recent posts', 'dentistplus'),
		'id' => 'footerpostreadmoretext',
		'std' => 'Read More',
		'type' => 'text');
		
	$options[] = array(
		'desc' => __('Change Show all  button text for our gallery', 'dentistplus'),
		'id' => 'galleryshowall',
		'std' => 'Show All',
		'type' => 'text');						

	$options[] = array(
		'name' => __('Custom CSS', 'dentistplus'),
		'desc' => __('Some Custom Styling for your site. Place any css codes here instead of the style.css file.', 'dentistplus'),
		'id' => 'style2',
		'std' => '',
		'type' => 'textarea');

// Body Typography	
	$options[] = array(
		'name' => __('Body Typography', 'dentistplus'),
		'desc' => __('Change font size/family/style/weight/transform/color for body text', 'dentistplus'),
		'id' => 'bodyfontface',
		'std'	=> $typography_body,
		'type' => 'typography');

	$options[] = array(
		'desc'	=> __('Select backgound color for Body','dentistplus'),
		'id' 	=> 'bodybgcolor',
		'std'   => '#ffffff',
		'type'	=> 'color');
		
// Logo Typography	
	$options[] = array(
		'name' => __('Textual Logo Typography', 'dentistplus'),
		'desc' => __('Change font size/family/style/weight/transform/color for logo text', 'dentistplus'),
		'id' => 'logotype',
		'std'	=> $typography_logo,
		'type' => 'typography');

// Logo Tag Typography	
	$options[] = array(
		'name' => __('Textual Logo Tag Typography', 'dentistplus'),
		'desc' => __('Change font size/family/style/weight/transform/color for logo tag text', 'dentistplus'),
		'id' => 'tagtype',
		'std'	=> $typography_tagline,
		'type' => 'typography');

// header Appointment
	$options[] = array(	
		'name' => __('Header background color', 'dentistplus'),	
		'desc' => __('Select header background color', 'dentistplus'),
		'id' => 'headerbgcolor',
		'std' => '#111111',
		'type' => 'color');
		
	$options[] = array(	
		'desc' => __('Select border color for header bottom', 'dentistplus'),
		'id' => 'hdrborderbtm',
		'std' => '#39adff',
		'type' => 'color');	

// Header Navigation
	$options[] = array(
		'name' => __('Navigation Typography', 'dentistplus'),
		'desc' => __('Change font size/family/style/weight/transform/color for navigation', 'dentistplus'),
		'id' => 'navtype',
		'std'	=> $typography_navigation,
		'type' => 'typography');
	
	$options[] = array(	
		'desc' => __('Select background hover/active color for header navigation', 'dentistplus'),
		'id' => 'navbghovercolor',
		'std' => '#39adff',
		'type' => 'color');
		
	$options[] = array(	
		'desc' => __('Select color hover/active color for header navigation', 'dentistplus'),
		'id' => 'navhovercolor',
		'std' => '#ffffff',
		'type' => 'color');
	$options[] = array(
		'desc' => __('Select color for toggle menu', 'dentistplus'),
		'id' => 'togglemenucolor',
		'std' => '#ffffff',
		'type' => 'color');	
	$options[] = array(
		'desc' => __('Select Dropdown Color for navigation', 'dentistplus'),
		'id' => 'tgmenuresponsivecolor',
		'std' => '#ffffff',
		'type' => 'color');	
	$options[] = array(
		'desc' => __('Select background color for toggle menu on responsive view', 'dentistplus'),
		'id' => 'tgmenuresponsivebg',
		'std' => '#111111',
		'type' => 'color');	

	$options[] = array(	
		'desc' => __('Select toggle background for responsive', 'dentistplus'),
		'id' => 'togglebgcolor',
		'std' => '#39adff',
		'type' => 'color');

// Slider Title Typography	
	$options[] = array(
		'name' => __('Slider Title Typography', 'dentistplus'),
		'desc' => __('Change font size/family/style/weight/transform/color for slider title', 'dentistplus'),
		'id' => 'slidertitletype',
		'std'	=> $typography_slidertitle,
		'type' => 'typography');

// Slider Description Typography	
	$options[] = array(
		'name' => __('Slider Description Typography', 'dentistplus'),
		'desc' => __('Change font size/family/style/weight/transform/color for logo tag text', 'dentistplus'),
		'id' => 'sliderdesctype',
		'std'	=> $typography_sliderdesc,
		'type' => 'typography');
	$options[] = array(	
		'desc' => __('Select color for Slider Read More', 'dentistplus'),
		'id' => 'sliderbutcolor',
		'std' => '#ffffff',
		'type' => 'color');
	$options[] = array(	
		'desc' => __('Select background color for Slider Read More', 'dentistplus'),
		'id' => 'sliderbutbgcolor',
		'std' => '#39adff',
		'type' => 'color');
	$options[] = array(	
		'desc' => __('Select background hover color for Slider Read More', 'dentistplus'),
		'id' => 'sliderbutbghvcolor',
		'std' => '#39adff',
		'type' => 'color');
	$options[] = array(	
		'desc' => __('Select hover color for Slider Read More', 'dentistplus'),
		'id' => 'sliderbuthvcolor',
		'std' => '#ffffff',
		'type' => 'color');

// Slider controls colors		
	$options[] = array(
		'name' => __('Slider Control Colors ', 'dentistplus'),
		'desc' => __('Select background color for slider navigation', 'dentistplus'),
		'id' => 'sldnavbg',
		'std' => '#000000',
		'type' => 'color');
	$options[] = array(
		'desc' => __('Select background color for slider navigation hover', 'dentistplus'),
		'id' => 'sldnavhvbg',
		'std' => '#ffffff',
		'type' => 'color');
	$options[] = array(
		'desc' => __('Select background color for slider pager', 'dentistplus'),
		'id' => 'sldpagebg',
		'std' => '#ffffff',
		'type' => 'color');
	$options[] = array(
		'desc' => __('Select background color for slider pager active', 'dentistplus'),
		'id' => 'sldpagehvbg',
		'std' => '#39adff',
		'type' => 'color');	

// Section Title Typography	
	$options[] = array(
		'name' => __('Section title Typography', 'dentistplus'),
		'desc' => __('Change font size/family/style/weight/transform/color for Section title', 'dentistplus'),
		'id' => 'sectiontitletype',
		'std'	=> $typography_sectiontitle,
		'type' => 'typography');

// Section Title border color	
	$options[] = array(
		'desc' => __('Section title Border Color', 'dentistplus'),
		'id' => 'sectiontitlebrcl',
		'std'	=> '#ededed',
		'type' => 'color');
		
// Appointment Section
	$options[] = array(	
		'name' => __('Appointment section color', 'dentistplus'),	
		'desc' => __('Select appointment section background color', 'dentistplus'),
		'id' => 'appbgcolor',
		'std' => '#39adff',
		'type' => 'color');

	$options[] = array(	
		'desc' => __('Select font color', 'dentistplus'),
		'id' => 'appfontcolor',
		'std' => '#ffffff',
		'type' => 'color');

	$options[] = array(	
		'desc' => __('Select Appointment Button background color', 'dentistplus'),
		'id' => 'appbtnbgcolor',
		'std' => '#333333',
		'type' => 'color');
		
	$options[] = array(	
		'desc' => __('Select Appointment Button hover color', 'dentistplus'),
		'id' => 'appbtnhvcolor',
		'std' => '#111111',
		'type' => 'color');
		
// Our Clinic Services Section
	$options[] = array(
		'name' => __('Our Clinic Services color Setting ', 'dentistplus'),		
		'desc' => __('Select background color Our Clinic Services Boxes', 'dentistplus'),
		'id' => 'bgcoloradvantage',
		'std' => '#ffffff',
		'type' => 'color');		

	$options[] = array(
		'desc' => __('Select text color Our Clinic Services Boxes', 'dentistplus'),
		'id' => 'textcoloradvantage',
		'std' => '#4c4c4c',
		'type' => 'color');		

	$options[] = array(
		'desc' => __('Select hover background color Our Clinic Services Boxes', 'dentistplus'),
		'id' => 'hvrbgcoloradvantage',
		'std' => '#39adff',
		'type' => 'color');		

	$options[] = array(
		'desc' => __('Select hover text color Our Clinic Services Boxes', 'dentistplus'),
		'id' => 'hvrtextcoloradvantage',
		'std' => '#ffffff',
		'type' => 'color');		
		
// Affordable pediatric services Section
	$options[] = array(	
		'name' => __('Affordable pediatric services section color', 'dentistplus'),	
		'desc' => __('Select font color', 'dentistplus'),
		'id' => 'afffontcolor',
		'std' => '#ffffff',
		'type' => 'color');

	$options[] = array(	
		'desc' => __('Select Button background color', 'dentistplus'),
		'id' => 'affbtnbgcolor',
		'std' => '#333333',
		'type' => 'color');
		
	$options[] = array(	
		'desc' => __('Select Button hover color', 'dentistplus'),
		'id' => 'affbtnhvcolor',
		'std' => '#111111',
		'type' => 'color');
		
// Latest News Section
	$options[] = array(
		'name' => __('Posts Background & color Setting ', 'dentistplus'),		
		'desc' => __('Select background color latest post', 'dentistplus'),
		'id' => 'bgcolorpost',
		'std' => '#ffffff',
		'type' => 'color');		

	$options[] = array(
		'desc' => __('Select color latest post', 'dentistplus'),
		'id' => 'txtcolorpost',
		'std' => '#000000',
		'type' => 'color');		

	$options[] = array(
		'desc' => __('Select border color for all posts section', 'dentistplus'),
		'id' => 'bordercolorpost',
		'std' => '#efeeee',
		'type' => 'color');		

// Testimonial setting
	$options[] = array(
		'name' => __('Select color setting for Testimonial', 'dentistplus'),		
		'desc' => __('Select color Testimonial content', 'dentistplus'),
		'id' => 'testimonialcolor',
		'std' => '#cccccc',
		'type' => 'color');		

	$options[] = array(
		'desc' => __('Select background color Testimonial content', 'dentistplus'),
		'id' => 'testimonialbgcolor',
		'std' => '#000000',
		'type' => 'color');		

	$options[] = array(		
		'desc' => __('Select opacity background for Testimonial', 'dentistplus'),
		'id' => 'testimonialbgop',
		'std' => '0.2',
		'type' => 'select',
		'options'	=> array('1'=>1, '0.9'=>0.9,'0.8'=>0.8,'0.7'=>0.7,'0.6'=>0.6,'0.5'=>0.5,'0.4'=>0.4,'0.3'=>0.3,'0.2'=>0.2,));		

	$options[] = array(
		'desc' => __('Select testimonial Client Name color', 'dentistplus'),
		'id' => 'testimonialh5color',
		'std' => '#39adff',
		'type' => 'color');		

	$options[] = array(
		'desc' => __('Select testimonial Client Designation color', 'dentistplus'),
		'id' => 'testimonialh6color',
		'std' => '#ffffff',
		'type' => 'color');	
		
	$options[] = array(
		'desc' => __('Select testimonial border color', 'dentistplus'),
		'id' => 'testimonialbordercl',
		'std' => '#cccccc',
		'type' => 'color');		

	$options[] = array(
		'desc' => __('Select testimonial page active color', 'dentistplus'),
		'id' => 'testimonialpageractive',
		'std' => '#39adff',
		'type' => 'color');		

	$options[] = array(
		'desc' => __('Select testimonial speed', 'dentistplus'),
		'id' => 'testimonialspped',
		'std' => '500',
		'type' => 'text');		

	$options[] = array(
		'desc' => __('Select auto on/off for testimonial','dentistplus'),
		'id' => 'autoplaytestimonial',
		'std' => 'true',
		'type' => 'select',
		'options' => array('true'=>'Autoplay', 'false'=>'Autoplay Off'));

// Our Team Social Icon
	$options[] = array(
		'name' => __('Dental Team Background and Color setting', 'dentistplus'),		
		'desc' => __('Select background color for professinal boxes', 'dentistplus'),
		'id' => 'teamboxbgcolor',
		'std' => '#ffffff',
		'type' => 'color');		

	$options[] = array(
		'desc' => __('Select background hover color bottom content', 'dentistplus'),
		'id' => 'teamcontentbgcolor',
		'std' => '#39adff',
		'type' => 'color');		

	$options[] = array(
		'desc' => __('Select text color for Prefessional content', 'dentistplus'),
		'id' => 'teamcontenttextcolor',
		'std' => '#ffffff',
		'type' => 'color');		

	$options[] = array(
		'desc' => __('Select background color for Professional button', 'dentistplus'),
		'id' => 'teamcontentbgbtncolor',
		'std' => '#ffffff',
		'type' => 'color');		

	$options[] = array(
		'desc' => __('Select color for Professional button', 'dentistplus'),
		'id' => 'teamcontenttextbtncolor',
		'std' => '#3e3e3e',
		'type' => 'color');		

//Gallery			
	$options[] = array(
		'name' => __('Gallery background & color setting', 'dentistplus'),
		'desc' => __('Select navigation color', 'dentistplus'),
		'id' => 'gallerynavigationcolor',
		'std' => '#000000',
		'type' => 'color');	
	$options[] = array(
		'desc' => __('Select navigation active color', 'dentistplus'),
		'id' => 'gallerynavtxtcolor',
		'std' => '#39adff',
		'type' => 'color');	

	$options[] = array(
		'desc' => __('Select background color for gallery image', 'dentistplus'),
		'id' => 'gallerybgcolor',
		'std' => '#39adff',
		'type' => 'color');	

	// All anchor tag link/hover 
	$options[] = array(	
		'name' => __('Site All Anchor tag link/hover Colors', 'dentistplus'),	
		'desc' => __('Select color for site anchar tag link', 'dentistplus'),
		'id' => 'anchortagcolor',
		'std' => '#39adff',
		'type' => 'color');
	$options[] = array(	
		'desc' => __('Select color for site anchor tah link hover', 'dentistplus'),
		'id' => 'anchortagcolorhover',
		'std' => '#313131',
		'type' => 'color');


	// Default Buttons		
	$options[] = array(
		'name' => __('Read More Button Colors', 'dentistplus'),		
		'desc' => __('Select background color for button', 'dentistplus'),
		'id' => 'btnbgcolor',
		'std' => '#39adff',
		'type' => 'color');
	$options[] = array(
		'desc' => __('Select hover background color for button', 'dentistplus'),
		'id' => 'btnbghvcolor',
		'std' => '#383737',
		'type' => 'color');		
	$options[] = array(
		'desc' => __('Select font color button', 'dentistplus'),
		'id' => 'btntxtcolor',
		'std' => '#ffffff',
		'type' => 'color');
	$options[] = array(
		'desc' => __('Select font color button on hover', 'dentistplus'),
		'id' => 'btntxthvcolor',
		'std' => '#ffffff',
		'type' => 'color');	

// Default Social Icon
	$options[] = array(
		'name' => __('Social icon color setting', 'dentistplus'),
		'desc' => __('Select color for social icon', 'dentistplus'),
		'id' => 'socialfontcolor',
		'std' => '#9ba0aa',
		'type' => 'color');		
	$options[] = array(
		'desc' => __('Select background color for social icon', 'dentistplus'),
		'id' => 'socialbgcolor',
		'std' => '#666666',
		'type' => 'color');		
	$options[] = array(
		'desc' => __('Select background hover color for social icon', 'dentistplus'),
		'id' => 'socialfonthvcolor',
		'std' => '#ffffff',
		'type' => 'color');				
	$options[] = array(
		'desc' => __('Select background hover color for social icon', 'dentistplus'),
		'id' => 'socialbghvcolor',
		'std' => '#39adff',
		'type' => 'color');				
	
// Footer Settings
 	$options[] = array(
		'name' => __('Footer title Typography', 'dentistplus'),
		'desc' => __('Change font size/family/style/weight/transform/color for Section title', 'dentistplus'),
		'id' => 'footertitletype',
		'std'	=> $typography_footertitle,
		'type' => 'typography');

	$options[] = array(	
		'name' => __('Background color for footer and copyright', 'dentistplus'),	
		'desc' => __('Select background color for footer', 'dentistplus'),
		'id' => 'footerwpbgcolor',
		'std' => '#3a3c41',
		'type' => 'color');
		
	$options[] = array(	
		'desc' => __('Select color for footer', 'dentistplus'),
		'id' => 'footerwpcolor',
		'std' => '#9ba0aa',
		'type' => 'color');
	$options[] = array(	
		'desc' => __('Select background color for copyright', 'dentistplus'),
		'id' => 'copyrightbgcolor',
		'std' => '#1c1c1c',
		'type' => 'color');

	$options[] = array(	
		'desc' => __('Select border color for footer post image', 'dentistplus'),
		'id' => 'footerpostimagebd',
		'std' => '#3b3b3b',
		'type' => 'color');

// Sidebar option
	$options[] = array(
		'name' => __('Sidebar for background/border color', 'dentistplus'),	
		'desc' => __('Select background color for sidebar widget title', 'dentistplus'),
		'id' => 'widgettitlebgcolor',
		'std' => '#39adff ',
		'type' => 'color');	
	
	$options[] = array(
		'desc' => __('Select color for sidebar title ', 'dentistplus'),
		'id' => 'widgettitlecolor',
		'std' => '#ffffff',
		'type' => 'color');	
			
	$options[] = array(
		'desc' => __('Select background color for sidebar widget', 'dentistplus'),
		'id' => 'sidebarbgcolor',
		'std' => '#f5f5f5',
		'type' => 'color');	
				
	$options[] = array(			
		'desc' => __('Select border color for sidebar li a', 'dentistplus'),
		'id' => 'sidebarliaborder',
		'std' => '#d0cfcf',
		'type' => 'color');		

	$options[] = array(
		'desc' => __('Select background color for search form', 'dentistplus'),
		'id' => 'searchbgcolor',
		'std' => '#ece8e8',
		'type' => 'color');	

// Input field color setting
	$options[] = array(
		'name' => __('Select All Input field background & text color', 'dentistplus'),
		'desc' => __('Select background color for input field and textarea', 'dentistplus'),
		'id' => 'inputbgcolor',
		'std' => '#ffffff',
		'type' => 'color');	
	$options[] = array(
		'desc' => __('Select color for input field and textarea', 'dentistplus'),
		'id' => 'inputtextbgcolor',
		'std' => '#cacaca',
		'type' => 'color');	
	$options[] = array(
		'desc' => __('Select border color for input field and textarea', 'dentistplus'),
		'id' => 'inputbrcolor',
		'std' => '#dbdbdb',
		'type' => 'color');	

	$options[] = array(
		'name' => __('Select iframe Color', 'dentistplus'),
		'desc' => __('Select border color for iframe', 'dentistplus'),
		'id' => 'ifrmabrcolor',
		'std' => '#dbdbdb',
		'type' => 'color');	
		
// Site title heading Settings
 	$options[] = array(
		'name' => __('Heading Heading h1, h2, h3, h4, h5, h6 Typography', 'dentistplus'),
		'desc' => __('Change Heading h1 tag font size/family/style/weight/transform/color for heading title', 'dentistplus'),
		'id' => 'headingh1type',
		'std'	=> $typography_headingh1,
		'type' => 'typography');
		
	$options[] = array(
		'desc' => __('Change Heading h2 tag font size/family/style/weight/transform/color for heading title', 'dentistplus'),
		'id' => 'headingh2type',
		'std'	=> $typography_headingh2,
		'type' => 'typography');
		
	$options[] = array(
		'desc' => __('Change Heading h3 tag font size/family/style/weight/transform/color for heading title', 'dentistplus'),
		'id' => 'headingh3type',
		'std'	=> $typography_headingh3,
		'type' => 'typography');

	$options[] = array(
		'desc' => __('Change Heading h4 tag font size/family/style/weight/transform/color for heading title', 'dentistplus'),
		'id' => 'headingh4type',
		'std'	=> $typography_headingh4,
		'type' => 'typography');

	$options[] = array(
		'desc' => __('Change Heading h5 tag font size/family/style/weight/transform/color for heading title', 'dentistplus'),
		'id' => 'headingh5type',
		'std'	=> $typography_headingh5,
		'type' => 'typography');

	$options[] = array(
		'desc' => __('Change Heading h6 tag font size/family/style/weight/transform/color for heading title', 'dentistplus'),
		'id' => 'headingh6type',
		'std'	=> $typography_headingh6,
		'type' => 'typography');
		
	$options[] = array(
		'name' => __('Blog Single Layout', 'dentistplus'),
		'desc' => __('Select layout. eg:Boxed, Wide', 'dentistplus'),
		'id' => 'singlelayout',
		'type' => 'select',
		'std' => 'singleright',
		'options' => array('singleright'=>'Blog Single Right Sidebar', 'singleleft'=>'Blog Single Left Sidebar', 'sitefull'=>'Blog Single Full Width', 'nosidebar'=>'Blog Single No Sidebar') );
		
	$options[] = array(
		'name' => __('Woocommerce Page Layout', 'dentistplus'),
		'desc' => __('Select layout. eg:Boxed, Wide', 'dentistplus'),
		'id' => 'woocomercelayout',
		'type' => 'select',
		'std' => 'woocomerceright',
		'options' => array('woocomerceright'=>'Woocomerce Right Sidebar', 'woocomerceleft'=>'Woocomerce Left Sidebar', 'woocomercesitefull'=>'Woocomerce Full Width') );			
		
	$options[] = array(			
		'name' => __('Woocommerce Price filter color setting', 'dentistplus'),
		'desc' => __('Select color for Price slider background', 'dentistplus'),
		'id' => 'pricesliderbg',
		'std' => '#cccccc',
		'type' => 'color');	

	$options[] = array(			
		'desc' => __('Select color for Price slider handle background', 'dentistplus'),
		'id' => 'pricehandlebg',
		'std' => '#39adff',
		'type' => 'color');	

	$options[] = array(			
		'desc' => __('Select color for Price slider Range background', 'dentistplus'),
		'id' => 'pricerangebg',
		'std' => '#515151',
		'type' => 'color');


	//Layout Settings
	$options[] = array(
		'name' => __('Sections', 'dentistplus'),
		'type' => 'heading');
		
	$options[] = array(
		'name' => __('Get an Appointment Page','dentistplus'),
		'desc'	=> __('Select the Get an appointment Today page for frontpage section','dentistplus'),
		'id' 	=> 'appointment',
		'type'	=> 'select',
		'options' => $options_pages,
	);
	
	$options[] = array(		
		'desc' => __('Select excerpt length for get an appointment section', 'dentistplus'),
		'id' => 'appointexcerptlength',
		'std' => '20',
		'type' => 'text');
		
	$options[] = array(		
		'desc' => __('manage get an appointment button text', 'dentistplus'),
		'id' => 'appointbutton',
		'std' => 'Get an Appointment',
		'type' => 'text');		
	
	$options[] = array(			
		'desc'	=> __('Check to hide Get an Appointment section below the slider', 'dentistplus'),
		'id'	=> 'hideappointmentsec',
		'type'	=> 'checkbox',
		'std'	=> '');	

	$options[] = array(
		'name' => __('Home Services four column section', 'dentistplus'),
		'desc' => __('Show / Hide Home first pages section', 'dentistplus'),
		'id' => 'pagesboxshowhide',
		'type' => 'select',
		'std' => 'show',
		'options' => array('show'=>'Show', 'hide'=>'Hide') );	
		
	$options[] = array(
		'name' => __('Services Section Title','dentistplus'),
		'desc'	=> __('Select title for topsection','dentistplus'),
		'id' 	=> 'pageservicestitle',
		'std' 	=> 'Services',
		'type'	=> 'text',
	);

	$options[] = array(
		'name' => __('Services Boxes','dentistplus'),
		'desc'	=> __('Service box 1','dentistplus'),
		'id' 	=> 'box1',
		'type'	=> 'select',
		'options' => $options_pages,
	);

	$options[] = array(
		'desc' => __('Upload Image here for services box with image size (130px/130px)', 'dentistplus'),
		'id' => 'boximage1',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(	
		'desc'	=> __('Service box 2','dentistplus'),
		'id' 	=> 'box2',
		'type'	=> 'select',
		'options' => $options_pages,
	);

	$options[] = array(
		'desc' => __('Upload Image here for services box with image size (130px/130px)', 'dentistplus'),
		'id' => 'boximage2',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(	
		'desc'	=> __('Service box 3','dentistplus'),
		'id' 	=> 'box3',
		'type'	=> 'select',
		'options' => $options_pages,
	);	
	
	$options[] = array(
		'desc' => __('Upload Image here for services box with image size (130px/130px)', 'dentistplus'),
		'id' => 'boximage3',
		'std' => '',
		'type' => 'upload');
	
	$options[] = array(	
		'desc'	=> __('Service box 4','dentistplus'),
		'id' 	=> 'box4',
		'type'	=> 'select',
		'options' => $options_pages,
	);	

	$options[] = array(
		'desc' => __('Upload Image here for Our Services box with image size (130px/130px)', 'dentistplus'),
		'id' => 'boximage4',
		'std' => '',
		'type' => 'upload');

	$options[] = array(	
		'desc'	=> __('Service box 5','dentistplus'),
		'id' 	=> 'box5',
		'type'	=> 'select',
		'options' => $options_pages,
	);	

	$options[] = array(
		'desc' => __('Upload Image here for services box with image size (130px/130px)', 'dentistplus'),
		'id' => 'boximage5',
		'std' => '',
		'type' => 'upload');

	$options[] = array(	
		'desc'	=> __('Service box 6','dentistplus'),
		'id' 	=> 'box6',
		'type'	=> 'select',
		'options' => $options_pages,
	);	

	$options[] = array(
		'desc' => __('Upload Image here for Our Services box with image size (130px/130px)', 'dentistplus'),
		'id' => 'boximage6',
		'std' => '',
		'type' => 'upload');
	
	$options[] = array(
		'name' => __('Services content lenght','dentistplus'),
		'desc'	=> __('Change content lenght for services pages','dentistplus'),
		'id' 	=> 'servicescontentlenght',
		'std' 	=> '20',
		'type'	=> 'text',
	);

	$options[] = array(
		'desc'	=> __('Select button text for services pages','dentistplus'),
		'id' 	=> 'servicesbtntxt',
		'std' 	=> 'Read More',
		'type'	=> 'text',
	);

	$options[] = array(
		'name' => __('Number of Sections', 'dentistplus'),
		'desc' => __('Select number of sections', 'dentistplus'),
		'id' => 'numsection',
		'type' => 'select',
		'std' => '8',
		'options' => array_combine(range(1,30), range(1,30)) );
	$numsecs = of_get_option( 'numsection', 8 );


	for( $n=1; $n<=$numsecs; $n++){
		$options[] = array(
			'desc' => __("<h3>Section ".$n."</h3>", 'dentistplus'),
			'class' => 'toggle_title',
			'type' => 'info');	
	
		$options[] = array(
			'name' => __('Section Title', 'dentistplus'),
			'id' => 'sectiontitle'.$n,
			'std' => ( ( isset($section_text[$n]['section_title']) ) ? $section_text[$n]['section_title'] : '' ),
			'type' => 'text');

		$options[] = array(
			'name' => __('Section ID', 'dentistplus'),
			'desc'	=> __('Enter your section ID here. SECTION ID MUST BE IN SMALL LETTERS ONLY AND DO NOT ADD SPACE OR SYMBOL.'),
			'id' => 'menutitle'.$n,
			'std' => ( ( isset($section_text[$n]['menutitle']) ) ? $section_text[$n]['menutitle'] : '' ),
			'type' => 'text');

		$options[] = array(
			'name' => __('Section Background Color', 'dentistplus'),
			'desc' => __('Select background color for section', 'dentistplus'),
			'id' => 'sectionbgcolor'.$n,
			'std' => ( ( isset($section_text[$n]['bgcolor']) ) ? $section_text[$n]['bgcolor'] : '' ),
			'type' => 'color');
			
		$options[] = array(
			'name' => __('Background Image', 'dentistplus'),
			'id' => 'sectionbgimage'.$n,
			'class' => '',
			'std' => ( ( isset($section_text[$n]['bgimage']) ) ? $section_text[$n]['bgimage'] : '' ),
			'type' => 'upload');

		$options[] = array(
			'name' => __('Section CSS Class', 'dentistplus'),
			'desc' => __('Set class for this section.', 'dentistplus'),
			'id' => 'sectionclass'.$n,
			'std' => ( ( isset($section_text[$n]['class']) ) ? $section_text[$n]['class'] : '' ),
			'type' => 'text');
			
		$options[] = array(
			'name'	=> __('Hide Section', 'dentistplus'),
			'desc'	=> __('Check to hide this section', 'dentistplus'),
			'id'	=> 'hidesec'.$n,
			'type'	=> 'checkbox',
			'std'	=> '');

		$options[] = array(
			'name' => __('Section Content', 'dentistplus'),
			'id' => 'sectioncontent'.$n,
			'std' => ( ( isset($section_text[$n]['content']) ) ? $section_text[$n]['content'] : '' ),
			'type' => 'editor');
	}

	//SLIDER SETTINGS
	$options[] = array(
		'name' => __('Homepage Slider', 'dentistplus'),
		'type' => 'heading');
		
	$options[] = array(
		'name' => __('Inner Page Banner', 'dentistplus'),
		'desc' => __('Upload inner page banner for site', 'dentistplus'),
		'id' => 'innerpagebanner',
		'class' => '',
		'std'	=> get_template_directory_uri()."/images/default-banner.jpg",
		'type' => 'upload');	
		
	$options[] = array(
		'name' => __('Slider Effects and Timing', 'dentistplus'),
		'desc' => __('Select slider effect.','dentistplus'),
		'id' => 'slideefect',
		'std' => 'fade',
		'type' => 'select',
		'options' => array('random'=>'Random', 'fade'=>'Fade', 'fold'=>'Fold', 'sliceDown'=>'Slide Down', 'sliceDownLeft'=>'Slide Down Left', 'sliceUp'=>'Slice Up', 'sliceUpLeft'=>'Slice Up Left', 'sliceUpDown'=>'Slice Up Down', 'sliceUpDownLeft'=>'Slice Up Down Left', 'slideInRight'=>'SlideIn Right', 'slideInLeft'=>'SlideIn Left', 'boxRandom'=>'Box Random', 'boxRain'=>'Box Rain', 'boxRainReverse'=>'Box Rain Reverse', 'boxRainGrow'=>'Box Rain Grow', 'boxRainGrowReverse'=>'Box Rain Grow Reverse' ));
		
	$options[] = array(
		'desc' => __('Animation speed should be multiple of 100.', 'dentistplus'),
		'id' => 'slideanim',
		'std' => 500,
		'type' => 'text');
		
	$options[] = array(
		'desc' => __('Add slide pause time.', 'dentistplus'),
		'id' => 'slidepause',
		'std' => 4000,
		'type' => 'text');
		
	$options[] = array(
		'name' => __('Slide Controllers', 'dentistplus'),
		'desc' => __('Hide/Show Direction Naviagtion of slider.','dentistplus'),
		'id' => 'slidenav',
		'std' => 'true',
		'type' => 'select',
		'options' => array('true'=>'Show', 'false'=>'Hide'));
		
	$options[] = array(
		'desc' => __('Hide/Show pager of slider.','dentistplus'),
		'id' => 'slidepage',
		'std' => 'true',
		'type' => 'select',
		'options' => array('true'=>'Show', 'false'=>'Hide'));
		
	$options[] = array(
		'desc' => __('Pause Slide on Hover.','dentistplus'),
		'id' => 'slidepausehover',
		'std' => 'false',
		'type' => 'select',
		'options' => array('true'=>'Yes', 'false'=>'No'));
		
		
	$options[] = array(
		'name' => __('Use any slider shortcode', 'dentistplus'),
		'desc' => __('you add any slider plugin shortcode here', 'dentistplus'),
		'id' => 'slidershortcode',
		'std' => '',
		'type' => 'textarea');
		
		
	$options[] = array(
		'name' => __('Slider Image 1', 'dentistplus'),
		'desc' => __('First Slide', 'dentistplus'),
		'id' => 'slide1',
		'class' => '',
		'std' => get_template_directory_uri()."/images/slides/slider1.jpg",
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 1', 'dentistplus'),
		'id' => 'slidetitle1',
		'std' => 'Specializing cosmetic Dental Surgery',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'dentistplus'),
		'id' => 'slidedesc1',
		'std' => 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry when an unknown printer took a galley of type and scrambled it to make a',
		'type' => 'textarea');

	$options[] = array(
		'desc' => __('Slide Button Text', 'dentistplus'),
		'id' => 'slidebutton1',
		'std' => 'Read More',
		'type' => 'text');		
	
	$options[] = array(
		'desc' => __('Slide Button Url', 'dentistplus'),
		'id' => 'slideurl1',
		'std' => '#',
		'type' => 'text');		
	
	$options[] = array(
		'name' => __('Slider Image 2', 'dentistplus'),
		'desc' => __('Second Slide', 'dentistplus'),
		'class' => '',
		'id' => 'slide2',
		'std' => get_template_directory_uri()."/images/slides/slider2.jpg",
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 2', 'dentistplus'),
		'id' => 'slidetitle2',
		'std' => 'Professional and Highly Trained Dental Staff',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'dentistplus'),
		'id' => 'slidedesc2',
		'std' => 'It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal.',
		'type' => 'textarea');	
		
	$options[] = array(
		'desc' => __('Slide Button Text', 'dentistplus'),
		'id' => 'slidebutton2',
		'std' => 'Read More',
		'type' => 'text');		
	
	$options[] = array(
		'desc' => __('Slide Button Url', 'dentistplus'),
		'id' => 'slideurl2',
		'std' => '#',
		'type' => 'text');		
	
	$options[] = array(
		'name' => __('Slider Image 3', 'dentistplus'),
		'desc' => __('Third Slide', 'dentistplus'),
		'id' => 'slide3',
		'class' => '',
		'std' => get_template_directory_uri()."/images/slides/slider3.jpg",
		'type' => 'upload');
		
$options[] = array(
		'desc' => __('Title 3', 'dentistplus'),
		'id' => 'slidetitle3',
		'std' => 'We Care for You',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'dentistplus'),
		'id' => 'slidedesc3',
		'std' => 'It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. and more recently with desktop publishing software.',
		'type' => 'textarea');	
	$options[] = array(
		'desc' => __('Slide Button Text', 'dentistplus'),
		'id' => 'slidebutton3',
		'std' => 'Read More',
		'type' => 'text');		
	
	$options[] = array(
		'desc' => __('Slide Button Url', 'dentistplus'),
		'id' => 'slideurl3',
		'std' => '#',
		'type' => 'text');		
			
	$options[] = array(
		'name' => __('Slider Image 4', 'dentistplus'),
		'desc' => __('Fourth Slide', 'dentistplus'),
		'id' => 'slide4',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 4', 'dentistplus'),
		'id' => 'slidetitle4',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'dentistplus'),
		'id' => 'slidedesc4',
		'std' => '',
		'type' => 'textarea');	
		
	$options[] = array(
		'desc' => __('Slide Button Text', 'dentistplus'),
		'id' => 'slidebutton4',
		'std' => '',
		'type' => 'text');		
	
	$options[] = array(
		'desc' => __('Slide Button Url', 'dentistplus'),
		'id' => 'slideurl4',
		'std' => '#',
		'type' => 'text');		
	
	$options[] = array(
		'name' => __('Slider Image 5', 'dentistplus'),
		'desc' => __('Fifth Slide', 'dentistplus'),
		'id' => 'slide5',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 5', 'dentistplus'),
		'id' => 'slidetitle5',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'dentistplus'),
		'id' => 'slidedesc5',
		'std' => '',
		'type' => 'textarea');	
		
	$options[] = array(
		'desc' => __('Slide Button Text', 'dentistplus'),
		'id' => 'slidebutton5',
		'std' => '',
		'type' => 'text');		
	
	$options[] = array(
		'desc' => __('Slide Button Url', 'dentistplus'),
		'id' => 'slideurl5',
		'std' => '#',
		'type' => 'text');	
		
	$options[] = array(
		'name' => __('Slider Image 6', 'dentistplus'),
		'desc' => __('Sixth Slide', 'dentistplus'),
		'id' => 'slide6',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 6', 'dentistplus'),
		'id' => 'slidetitle6',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'dentistplus'),
		'id' => 'slidedesc6',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Slide Button Text', 'dentistplus'),
		'id' => 'slidebutton6',
		'std' => '',
		'type' => 'text');		
	
	$options[] = array(
		'desc' => __('Slide Button Url', 'dentistplus'),
		'id' => 'slideurl6',
		'std' => '',
		'type' => 'text');	
		
	$options[] = array(
		'name' => __('Slider Image 7', 'dentistplus'),
		'desc' => __('Seventh Slide', 'dentistplus'),
		'id' => 'slide7',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 7', 'dentistplus'),
		'id' => 'slidetitle7',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'dentistplus'),
		'id' => 'slidedesc7',
		'std' => '',
		'type' => 'textarea');

	$options[] = array(
		'desc' => __('Slide Button Text', 'dentistplus'),
		'id' => 'slidebutton7',
		'std' => '',
		'type' => 'text');		
	
	$options[] = array(
		'desc' => __('Slide Button Url', 'dentistplus'),
		'id' => 'slideurl7',
		'std' => '',
		'type' => 'text');	
		
	$options[] = array(
		'name' => __('Slider Image 8', 'dentistplus'),
		'desc' => __('Eighth Slide', 'dentistplus'),
		'id' => 'slide8',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 8', 'dentistplus'),
		'id' => 'slidetitle8',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'dentistplus'),
		'id' => 'slidedesc8',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Slide Button Text', 'dentistplus'),
		'id' => 'slidebutton8',
		'std' => '',
		'type' => 'text');		
	
	$options[] = array(
		'desc' => __('Slide Button Url', 'dentistplus'),
		'id' => 'slideurl8',
		'std' => '',
		'type' => 'text');	
		
	$options[] = array(
		'name' => __('Slider Image 9', 'dentistplus'),
		'desc' => __('Ninth Slide', 'dentistplus'),
		'id' => 'slide9',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 9', 'dentistplus'),
		'id' => 'slidetitle9',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'dentistplus'),
		'id' => 'slidedesc9',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Slide Button Text', 'dentistplus'),
		'id' => 'slidebutton9',
		'std' => '',
		'type' => 'text');		
	
	$options[] = array(
		'desc' => __('Slide Button Url', 'dentistplus'),
		'id' => 'slideurl9',
		'std' => '',
		'type' => 'text');	
		
	$options[] = array(
		'name' => __('Slider Image 10', 'dentistplus'),
		'desc' => __('Tenth Slide', 'dentistplus'),
		'id' => 'slide10',
		'class' => '',
		'std' => '',
		'type' => 'upload');
		
	$options[] = array(
		'desc' => __('Title 10', 'dentistplus'),
		'id' => 'slidetitle10',
		'std' => '',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Description or Tagline', 'dentistplus'),
		'id' => 'slidedesc10',
		'std' => '',
		'type' => 'textarea');
	
	$options[] = array(
		'desc' => __('Slide Button Text', 'dentistplus'),
		'id' => 'slidebutton10',
		'std' => '',
		'type' => 'text');		
	
	$options[] = array(
		'desc' => __('Slide Button Url', 'dentistplus'),
		'id' => 'slideurl10',
		'std' => '',
		'type' => 'text');	
	
	//Header top right SETTINGS
	$options[] = array(
		'name' => __('Header', 'dentistplus'),
		'type' => 'heading');

	$options[] = array(
		'name' => __('Header Mobile menu text', 'dentistplus'),
		'desc' => __('Header header menu chenge text (Menu).', 'dentistplus'),
		'id' => 'mobilemenuname',
		'std' => 'Menu',
		'type' => 'text');

	//Footer SETTINGS
	$options[] = array(
		'name' => __('Footer', 'dentistplus'),
		'type' => 'heading');

	$options[] = array(
		'name' => __('Footer Layout', 'dentistplus'),
		'desc' => __('footer Select layout. eg:Boxed, 1, 2, 3 and 4', 'dentistplus'),
		'id' => 'footerlayout',
		'type' => 'select',
		'std' => 'fourcolumn',
		'options' => array('onecolumn'=>'Footer 1 column', 
		'twocolumn'=>'Footer 2 column', 'threecolumn'=>'Footer 3 column', 'fourcolumn'=>'Footer 4 column', ) );	
		
	$options[] = array(
		'name' => __('About US', 'dentistplus'),
		'desc' => __('About Us text title for footer', 'dentistplus'),
		'id' => 'footeraboutustitle',
		'std' => 'About Us',
		'type' => 'text');

	$options[] = array(
		'name' => __('Recent Post Title', 'dentistplus'),
		'desc' => __('Recent post title for footer.', 'dentistplus'),
		'id' => 'footerrcposttitle',
		'std' => 'Recent Post',
		'type' => 'text');	

	$options[] = array(
		'name' => __('Footer menu Title', 'dentistplus'),
		'desc' => __('Footer menu title for footer.', 'dentistplus'),
		'id' => 'footermenutitle',
		'std' => 'Footer Menu',
		'type' => 'text');	

	$options[] = array(
		'name' => __('Footer Contact Title', 'dentistplus'),
		'desc' => __('Add contact title here', 'dentistplus'),
		'id' => 'contacttitle',
		'std' => 'Contact Us',
		'type' => 'text');	

	$options[] = array(
		'name' => __('About Us', 'dentistplus'),
		'desc' => __('About Us content for footer.', 'dentistplus'),
		'id' => 'openinghoursefooter',
		'std' => '<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor. Aenean massa fringilla vel, aliquet nec, vulputate eget, arcu.In enim justo. Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</p> 
		<p>Donec ut ex ac nulla sapien mauris, vitae sodales tellus suspendisse suscipit velit id ultricies auctor.</p>',
		'type' => 'textarea');	


	$options[] = array(	
		'name' => __('Footer Address', 'dentistplus'),
		'desc' => __('Add company address1 here.', 'dentistplus'),
		'id' => 'address',
		'std' => '1600 Amphitheatre Parkway ,',
		'type' => 'text');
		
	$options[] = array(	
		'desc' => __('Add company address2 here.', 'dentistplus'),
		'id' => 'address2',
		'std' => 'Mountain View, CA 94043',
		'type' => 'text');	
		
	$options[] = array(		
		'desc' => __('Add phone number here.', 'dentistplus'),
		'id' => 'phone',
		'std' => '+1 800 234 5678',
		'type' => 'text');
		
	$options[] = array(		
		'desc' => __('Add phone number 2 here.', 'dentistplus'),
		'id' => 'phone2',
		'std' => '',
		'type' => 'text');

	$options[] = array(
		'desc' => __('Add email address here.', 'dentistplus'),
		'id' => 'email',
		'std' => 'info@sitename.com',
		'type' => 'text');
		
	$options[] = array(
		'desc' => __('Add company url here with http://.', 'dentistplus'),
		'id' => 'weblink',
		'std' => 'http://yourdomain.com',
		'type' => 'text');

	$options[] = array(
		'name' => __('Footer social Media'),
		'desc' => __('Add here footr social media.', 'dentistplus'),
		'id' => 'footersocialmedia',
		'std' => '[social_area]
    [social icon="facebook" link="#"]
	[social icon="twitter" link="#"]
	[social icon="linkedin" link="#"]
    [social icon="google-plus" link="#"]
    [social icon="pinterest-p" link="#"]
	[/social_area]',
		'type' => 'textarea');
		
		$options[] = array(
		'name' => __('Google Map', 'dentistplus'),
		'desc' => __('Use iframe code here for Contact Page Map', 'dentistplus'),
		'id' => 'googlemap',
		'std' => '<iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d168033.52643408478!2d2.2170919015949493!3d48.84822036209216!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x47e66e1f06e2b70f%3A0x40b82c3688c9460!2sParis%2C+France!5e0!3m2!1sen!2sin!4v1468286846072" width="100%" height="400" frameborder="0" allowfullscreen></iframe>',
		'type' => 'editor');
			
	$options[] = array(
		'name' => __('Footer Copyright', 'dentistplus'),
		'desc' => __('Copyright Text for your site.', 'dentistplus'),
		'id' => 'copytext',
		'std' => '&copy; 2017 <a href="#">Dentist Plus.</a> All Rights Reserved',
		'type' => 'textarea');
		
	$options[] = array(
		'desc' => __('Footre Text Link', 'dentistplus'),
		'id' => 'ftlink',
		'std' => 'Design by Grace Themes - <a href="'.esc_url('https://gracethemes.com/themes/dentist-wordpress-theme/').'" target="_blank">Dentist Plus</a>',
		'type' => 'textarea',);
		
	$options[] = array(
		'desc' => __('Footer Back to Top Button', 'dentistplus'),
		'id' => 'backtotop',
		'std' => '[back-to-top]',
		'type' => 'textarea',);	

	//Short codes
	$options[] = array(
		'name' => __('Short Codes', 'dentistplus'),
		'type' => 'heading');	

	$options[] = array(
		'name' => __('Photo Gallery', 'dentistplus'),
		'desc' => __('[photogallery filter="true"]', 'dentistplus'),
		'type' => 'info');		
		
	$options[] = array(
		'name' => __('Testimonials', 'dentistplus'),
		'desc' => __('[testimonials]', 'dentistplus'),
		'type' => 'info');
		
	$options[] = array(
		'name' => __('All Testimonials Listing', 'dentistplus'),
		'desc' => __('[all-testimonials show="10"]', 'dentistplus'),
		'type' => 'info');	
		
	$options[] = array(
		'name' => __('Contact Form', 'dentistplus'),
		'desc' => __('[contactform to_email="test@example.com" title="Contact Form"] 
', 'dentistplus'),
		'type' => 'info');

	$options[] = array(
		'name' => __('latest from our blog', 'dentistplus'),
		'desc' => __('[latestposts show="4"]', 'dentistplus'),
		'type' => 'info');		

	$options[] = array(
		'name' => __('Footer posts', 'dentistplus'),
		'desc' => __('[footer-posts show="2"]', 'dentistplus'),
		'type' => 'info');	
		
	$options[] = array(
		'name' => __('Our Professional', 'dentistplus'),
		'desc' => __('[ourteam show="4"]', 'dentistplus'),
		'type' => 'info');					

	$options[] = array(
		'name' => __('Search Form', 'dentistplus'),
		'desc' => __('[searchform] 
', 'dentistplus'),
		'type' => 'info');
			
		
	$options[] = array(
		'name' => __('Headings', 'dentistplus'),
		'desc' => __('[heading underline="yes" align="left"]Our Professional[/heading]', 'dentistplus'),
		'type' => 'info');					

	$options[] = array(
		'name' => __('Read More Button', 'dentistplus'),
		'desc' => __('[readmore-link align="left" button="Read More" links="#" target=""]', 'dentistplus'),
		'type' => 'info');
		
	$options[] = array(
		'name' => __('Social Icons ( Note: More social icons can be found at: http://fortawesome.github.io/Font-Awesome/icons/)', 'dentistplus'),
		'desc' => __('[social_area]
    [social icon="facebook" link="#"]
    [social icon="twitter" link="#"]
    [social icon="linkedin" link="#"]
    [social icon="pinterest" link="#"]
    [social icon="google-plus" link="#"]
	[social icon="youtube" link="#"]
	[social icon="wordpress" link="#"]
	[social icon="flickr" link="#"]
	[social icon="skype" link="#"]
[/social_area]', 'dentistplus'),
		'type' => 'info');	
		
	return $options;
}