<?php
/**
 * GRC Zeroerror Theme Customizer
 *
 * @package GRC Zeroerror
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function grc_zeroerror_customize_register( $wp_customize ) { 
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
}
add_action( 'customize_register', 'grc_zeroerror_customize_register' );

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function grc_zeroerror_customize_preview_js() {
	wp_enqueue_script( 'grc_zeroerror_customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), '20130508', true );
}
add_action( 'customize_preview_init', 'grc_zeroerror_customize_preview_js' );

function grc_zeroerror_custom_customize_enqueue() {
 wp_enqueue_script( 'grc-zeroerror-custom-customize', get_template_directory_uri() . '/js/custom.customize.js', array( 'jquery', 'customize-controls' ), false, true );
}
add_action( 'customize_controls_enqueue_scripts', 'grc_zeroerror_custom_customize_enqueue' );