<?php
/**
 * @package Pulsing
 * Setup the WordPress core custom functions feature.
 *
*/

add_action('pulsing_optionsframework_custom_scripts', 'pulsing_optionsframework_custom_scripts');
function pulsing_optionsframework_custom_scripts() { ?>
	<script type="text/javascript">
    jQuery(document).ready(function() {
        jQuery('#example_showhidden').click(function() {
            jQuery('#section-example_text_hidden').fadeToggle(400);
        });
        if (jQuery('#example_showhidden:checked').val() !== undefined) {
            jQuery('#section-example_text_hidden').show();
        }
    });
    </script><?php
}

// get_the_content format text
function get_the_content_format( $str ){
	$raw_content = apply_filters( 'the_content', $str );
	$content = str_replace( ']]>', ']]&gt;', $raw_content );
	return $content;
}
// the_content format text
function the_content_format( $str ){
	echo get_the_content_format( $str );
}

function is_google_font( $font ){
	$notGoogleFont = array( 'Arial', 'Comic Sans MS', 'FreeSans', 'Georgia', 'Lucida Sans Unicode', 'Palatino Linotype', 'Symbol', 'Tahoma', 'Trebuchet MS', 'Verdana' );
	if( in_array($font, $notGoogleFont) ){
		return false;
	}else{
		return true;
	}
}

// subhead section function
function sub_head_section( $more ) {
	$pgs = 0;
	do {
		$pgs++;
	} while ($more > $pgs);
	return $pgs;
}


//[column_content]Your content here...[/column_content]
function column_content_func( $atts, $content = null ) {
	extract( shortcode_atts( array(
		'type' => '',	
	), $atts ) );
	$colPos = strpos($type, '_last');
	if($colPos === false){
		$cnt = '<div class="'.$type.'">'.do_shortcode($content).'</div>';
	}else{
		$type = substr($type,0,$colPos);
		$cnt = '<div class="'.$type.' last_column">'.do_shortcode($content).'</div>';
	}
	return $cnt;
}
add_shortcode( 'column_content', 'column_content_func' );


// [searchform]
function searchform_shortcode_func( $atts ){
	return get_search_form( false );
}
add_shortcode( 'searchform', 'searchform_shortcode_func' );
 

// remove excerpt more
function new_excerpt_more( $more ) {
	return '... ';
}
add_filter('excerpt_more', 'new_excerpt_more');

// get post categories function
function getPostCategories(){
	$categories = get_the_category();
	$catOut = '';
	$separator = ', ';
	$catOutput = '';
	if($categories){
		foreach($categories as $category) {
			$catOutput .= '<a href="'.get_category_link( $category->term_id ).'" title="' . esc_attr( sprintf( __( "View all posts in %s", 'pulsing' ), $category->name ) ) . '">'.$category->cat_name.'</a>'.$separator;
		}
		$catOut = ''.trim($catOutput, $separator);
	}
	return $catOut;
}

// replace last occurance of a string.
function str_lreplace($search, $replace, $subject){
	$pos = strrpos($subject, $search);
	if($pos !== false){
		$subject = substr_replace($subject, $replace, $pos, strlen($search));
	}
	return $subject;
}


function readmore_func( $atts) {
	extract(shortcode_atts(array(	
	'button'		=> '',	
	'links'		=> '',
	'align'		=> '',						
	'target'		=> '',						
	), $atts));
	$rrow = '<div class="view-all-btn" style="text-align:'.$align.';"><a href="'.$links.'" target="'.$target.'">'.$button.'</a></div>';
    return $rrow;
}
add_shortcode( 'readmore-link', 'readmore_func' );


// custom post type for Testimonials
function my_custom_post_testimonials() {
	$labels = array(
		'name'               => __( 'Testimonials','pulsing'),
		'singular_name'      => __( 'Testimonials','pulsing'),
		'add_new'            => __( 'Add Testimonials','pulsing'),
		'add_new_item'       => __( 'Add New Testimonial','pulsing'),
		'edit_item'          => __( 'Edit Testimonial','pulsing'),
		'new_item'           => __( 'New Testimonial','pulsing'),
		'all_items'          => __( 'All Testimonials','pulsing'),
		'view_item'          => __( 'View Testimonial','pulsing'),
		'search_items'       => __( 'Search Testimonial','pulsing'),
		'not_found'          => __( 'No Testimonial found','pulsing'),
		'not_found_in_trash' => __( 'No Testimonial found in the Trash','pulsing'), 
		'parent_item_colon'  => '',
		'menu_name'          => 'Testimonials'
	);
	$args = array(
		'labels'        => $labels,
		'description'   => 'Manage Testimonials',
		'public'        => true,
		'menu_icon'		=> 'dashicons-format-quote',
		'menu_position' => null,
		'supports'      => array( 'title', 'editor', 'thumbnail'),
		'has_archive'   => true,
	);
	register_post_type( 'testimonials', $args );	
}
add_action( 'init', 'my_custom_post_testimonials' );


// add meta box to testimonials
add_action( 'admin_init', 'my_testimonial_admin_function' );
function my_testimonial_admin_function() {
    add_meta_box( 'testimonial_meta_box',
        'Testimonial Info',
        'display_testimonial_meta_box',
        'testimonials', 'normal', 'high'
    );
}
// add meta box form to team
function display_testimonial_meta_box( $testimonial ) {
    // Retrieve current name of the Director and Movie Rating based on review ID
    $possition = esc_html( get_post_meta( $testimonial->ID, 'possition', true ) ); 
	
    ?>
    <table width="100%">       
        <tr>
            <td width="20%">Designation </td>
            <td width="80%"><input size="80" type="text" name="possition" value="<?php echo $possition; ?>" /></td>
        </tr>       
    </table>
    <?php    
}
// save testimonial meta box form data
add_action( 'save_post', 'add_testimonial_fields_function', 10, 2 );
function add_testimonial_fields_function( $testimonial_id, $testimonial ) {
    // Check post type for testimonials
    if ( $testimonial->post_type == 'testimonials' ) {
        // Store data in post meta table if present in post data		 
        if ( isset($_POST['possition']) ) {
            update_post_meta( $testimonial_id, 'possition', $_POST['possition'] );
        }       
    }
}


//Testimonials function
function testimonials_output_func( $atts ){
	$testimonialoutput = '<div class="carousel-content"><div class="owl-carousel">';
	wp_reset_query();
	query_posts('post_type=testimonials');
	if ( have_posts() ) :
		while ( have_posts() ) : the_post();		
		$possition = esc_html( get_post_meta( get_the_ID(), 'possition', true ) );
			$testimonialoutput .= '
				<div class="testimonial-col">			   
				<div class="tm_description">
				  <div class="testimonial-thumb">'.get_the_post_thumbnail().'</div>
				  <p>'.get_the_content().'</p>
				 				  
				</div>								
				<div class="testimonial-info">  
				  <h5>'.get_the_title().'</h5>
				  <h6>'.$possition.'</h6>
				</div>	  
				</div>
			';
		endwhile;
		 $testimonialoutput .= '</div></div>';
	else:
	  $testimonialoutput = '<div class="carousel-content"><div class="owl-carousel"> 			                    
				<div class="testimonial-col">			   
                  <div class="tm_description">
 				   <div class="testimonial-thumb"><img src="'.get_template_directory_uri().'/images/testimonial-3.png" alt="" /></div>
				   <p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor. Aenean massa fringilla vel, aliquet nec, vulputate eget, arcu.In enim justo, vulputate eget, arcu.In enim justo, rhoncus consectetuer adipiscing rhoncus consectetuer adipiscing elit.</p>
					</div>
					<div class="testimonial-info">
					   <h5>David Doe</h5>
					   <h6>Patient Review</h6>
				    </div>
	             </div>

				<div class="testimonial-col">			   
                  <div class="tm_description">
 				   <div class="testimonial-thumb"><img src="'.get_template_directory_uri().'/images/testimonial-2.png" alt="" /></div>
				   <p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor. Aenean massa fringilla vel, aliquet nec, vulputate eget, arcu.In enim justo, vulputate eget, arcu.In enim justo, rhoncus consectetuer adipiscing rhoncus consectetuer adipiscing elit.</p>
					</div>
					<div class="testimonial-info">
					   <h5>Jane Doe</h5>
					   <h6>Patient Review</h6>
				    </div>
	             </div>

				<div class="testimonial-col">			   
                  <div class="tm_description">
 				   <div class="testimonial-thumb"><img src="'.get_template_directory_uri().'/images/testimonial-1.png" alt="" /></div>
				   <p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor. Aenean massa fringilla vel, aliquet nec, vulputate eget, arcu.In enim justo, vulputate eget, arcu.In enim justo, rhoncus consectetuer adipiscing rhoncus consectetuer adipiscing elit.</p>
					</div>
					<div class="testimonial-info">
					   <h5>martine Doe</h5>
					   <h6>Patient Review</h6>
				    </div>
	             </div>

				<div class="testimonial-col">			   
                  <div class="tm_description">
 				   <div class="testimonial-thumb"><img src="'.get_template_directory_uri().'/images/testimonial-3.png" alt="" /></div>
				   <p>Pellentesque porttitor velit sapieni malesuada risusin placerat donec pretium mauris a lacus suscipit, vitaey elementum arcu feugiat. Curabitur pellentesque lorem eget purus venenatis rutrum velit molestie. Aliquam in eget aliquet sapien. Duis velit nibh, sodales et nisi sitt amet ullamcorper porta.</p>
					</div>
					<div class="testimonial-info">
					   <h5>David Doe</h5>
					   <h6>Patient Review</h6>
				    </div>
	             </div>

		</div>  
	</div> ';			
	  endif;  
	wp_reset_query();
	
	return $testimonialoutput;
}
add_shortcode( 'testimonials', 'testimonials_output_func' );

//Testimonials function
function testimonials_list_output_func( $atts ){
	extract( shortcode_atts( array( 
	'show' => '',
	), 
	$atts ) ); $postoutput = ''; wp_reset_query();
	$testimonialoutput = '<div id="testimonialslist">';
	wp_reset_query();
 	query_posts('post_type=testimonials&posts_per_page='.$show);
	if ( have_posts() ) :
		while ( have_posts() ) : the_post();
		$possition = esc_html( get_post_meta( get_the_ID(), 'possition', true ) );			
			$testimonialoutput .= '				 
				   <div class="listing">				 
				   <div class="tml_thumb">'.( (get_the_post_thumbnail( get_the_ID(), array(150,150)) != '') ? get_the_post_thumbnail() : '<img src="'.get_template_directory_uri().'/images/img_404.png" width="150" />' ).'</div>
				   <div class="descriptionbx">
				   <h4>'.get_the_title().'</h4>
				   <h6>'.$possition.'</h6>				  
				    <p>'.get_the_content().'</p>
				    
				   </div>
				   <div class="clear"></div> 
				</div>  ';
		endwhile;
		 $testimonialoutput .= '';
	else:
	  $testimonialoutput = 'There are not found testimonials';			
	  endif;  
	wp_reset_query();
	$testimonialoutput .= '</div>';
	
	return $testimonialoutput;
}
add_shortcode( 'all-testimonials', 'testimonials_list_output_func' );


/*Latest news Function*/
function footer_recent_posts_func( $atts ){
   extract( shortcode_atts( array(
		'show' => 4,
	), $atts ) );
	$frp = '';
	wp_reset_query();
	$n = 0;
	query_posts(  array( 'posts_per_page'=>$show, 'post__not_in' => get_option('sticky_posts') )  );
	if ( have_posts() ) :
		while ( have_posts() ) : the_post();
			$n++;
			if( $n%3==0 ) $nomgn = 'last'; else $nomgn = ' ';
			if ( has_post_thumbnail()) {
				$large_image_url = wp_get_attachment_image_src( get_post_thumbnail_id(), 'thumbnail');
				$imgUrl = $large_image_url[0];
			}else{
				$imgUrl = get_template_directory_uri().'/images/img_404.png';
			} 
			
			$frp .= '<div class="recent-post '.$nomgn.'">
							 <a href="'.get_the_permalink().'"><img src="'.$imgUrl.'" alt="" /></a>						 
							 '.content( of_get_option('footerexcerptlength')).'
							 <a href="'.get_the_permalink().'">'.of_get_option('footerpostreadmoretext').'</a>	
							<div class="clear"></div>
                        </div>';		
		endwhile;
	endif;
	wp_reset_query();

	return $frp;
}
add_shortcode( 'footer-posts', 'footer_recent_posts_func' );


//custom post type for Our Team
function my_custom_post_team() {
	$labels = array(
		'name'               => __( 'Our Team', 'pulsing' ),
		'singular_name'      => __( 'Our Team', 'pulsing' ),
		'add_new'            => __( 'Add New', 'pulsing' ),
		'add_new_item'       => __( 'Add New Team Member', 'pulsing' ),
		'edit_item'          => __( 'Edit Team Member', 'pulsing' ),
		'new_item'           => __( 'New Member', 'pulsing' ),
		'all_items'          => __( 'All Members', 'pulsing' ),
		'view_item'          => __( 'View Members', 'pulsing' ),
		'search_items'       => __( 'Search Team Members', 'pulsing' ),
		'not_found'          => __( 'No Team members found', 'pulsing' ),
		'not_found_in_trash' => __( 'No Team members found in the Trash', 'pulsing' ), 
		'parent_item_colon'  => '',
		'menu_name'          => 'Our Team'
	);
	$args = array(
		'labels'        => $labels,
		'description'   => 'Manage Team',
		'public'        => true,
		'menu_position' => null,
		'menu_icon'		=> 'dashicons-groups',
		'supports'      => array( 'title', 'editor', 'thumbnail' ),
		'rewrite' => array('slug' => 'our-team'),
		'has_archive'   => true,
	);
	register_post_type( 'team', $args );
}
add_action( 'init', 'my_custom_post_team' );
// add meta box to team
add_action( 'admin_init', 'my_team_admin_function' );
function my_team_admin_function() {
    add_meta_box( 'team_meta_box',
        'Member Info',
        'display_team_meta_box',
        'team', 'normal', 'high'
    );
}
// add meta box form to team
function display_team_meta_box( $team ) {
    // Retrieve current name of the Director and Movie Rating based on review ID
    $designation = esc_html( get_post_meta( $team->ID, 'designation', true ) );
    $facebook = get_post_meta( $team->ID, 'facebook', true );
	$facebooklink = esc_url( get_post_meta( $team->ID, 'facebooklink', true ) );
    $twitter = get_post_meta( $team->ID, 'twitter', true );
	$twitterlink = esc_url( get_post_meta( $team->ID, 'twitterlink', true ) );
    $linkedin = get_post_meta( $team->ID, 'linkedin', true );
	$linkedinlink = esc_url( get_post_meta( $team->ID, 'linkedinlink', true ) );
	$pint = get_post_meta( $team->ID, 'google', true );
	$googlelink = esc_url( get_post_meta( $team->ID, 'googlelink', true ) );
    $dribbble = get_post_meta( $team->ID, 'dribbble', true );
	$dribbblelink = get_post_meta( $team->ID, 'dribbblelink', true );
    ?>
    <table width="100%">
        <tr>
            <td width="20%">Designation </td>
            <td width="80%"><input type="text" name="designation" value="<?php echo $designation; ?>" /></td>
        </tr>
        <tr>
            <td width="20%">Social link 1</td>
            <td width="40%"><input type="text" name="facebook" value="<?php echo $facebook; ?>" /></td>
            <td width="40%"><input style="width:500px;" type="text" name="facebooklink" value="<?php echo $facebooklink; ?>" /></td>
        </tr>
        <tr>
            <td width="20%">Social Link 2</td>
            <td width="40%"><input type="text" name="twitter" value="<?php echo $twitter; ?>" /></td>
            <td width="40%"><input style="width:500px;" type="text" name="twitterlink" value="<?php echo $twitterlink; ?>" /></td>
        </tr>
        <tr>
            <td width="20%">Social Link 3</td>
            <td width="40%"><input type="text" name="linkedin" value="<?php echo $linkedin; ?>" /></td>
            <td width="40%"><input style="width:500px;" type="text" name="linkedinlink" value="<?php echo $linkedinlink; ?>" /></td>
        </tr>
        <tr>
            <td width="20%">Social Link 4</td>
            <td width="40%"><input type="text" name="dribbble" value="<?php echo $dribbble; ?>" /></td>
            <td width="40%"><input style="width:500px;" type="text" name="dribbblelink" value="<?php echo $dribbblelink; ?>" /></td>
        </tr>
        <tr>
        	<td width="100%" colspan="3"><label style="font-size:15px;"><strong>Note: Icon name should be in lowercase without space.</strong></label></td>
        </tr>
    </table>
    <?php 
}
// save team meta box form data
add_action( 'save_post', 'add_team_fields_function', 10, 2 );
function add_team_fields_function( $team_id, $team ) {
    // Check post type for testimonials
    if ( $team->post_type == 'team' ) {
        // Store data in post meta table if present in post data
        if ( isset($_POST['designation']) ) {
            update_post_meta( $team_id, 'designation', $_POST['designation'] );
        }
        if ( isset($_POST['facebook']) ) {
            update_post_meta( $team_id, 'facebook', $_POST['facebook'] );
        }
		if ( isset($_POST['facebooklink']) ) {
            update_post_meta( $team_id, 'facebooklink', $_POST['facebooklink'] );
        }
        if ( isset($_POST['twitter']) ) {
            update_post_meta( $team_id, 'twitter', $_POST['twitter'] );
        }
		if ( isset($_POST['twitterlink']) ) {
            update_post_meta( $team_id, 'twitterlink', $_POST['twitterlink'] );
        }
        if ( isset($_POST['linkedin']) ) {
            update_post_meta( $team_id, 'linkedin', $_POST['linkedin'] );
        }
		if ( isset($_POST['linkedinlink']) ) {
            update_post_meta( $team_id, 'linkedinlink', $_POST['linkedinlink'] );
        }
        if ( isset($_POST['dribbble']) ) {
            update_post_meta( $team_id, 'dribbble', $_POST['dribbble'] );
        }
		if ( isset($_POST['dribbblelink']) ) {
            update_post_meta( $team_id, 'dribbblelink', $_POST['dribbblelink'] );
        }
		if ( isset($_POST['google']) ) {
            update_post_meta( $team_id, 'google', $_POST['google'] );
        }
		if ( isset($_POST['googlelink']) ) {
            update_post_meta( $team_id, 'googlelink', $_POST['googlelink'] );
        }
    }
}


function ourteamposts_func( $atts ) {
   extract( shortcode_atts( array(
		'col' => '',
	), $atts ) );
	  extract( shortcode_atts( array( 'show' => '',), $atts ) ); $postoutput = ''; wp_reset_query();
	$bposts = '<div class="section-teammember">';
	$args = array( 'post_type' => 'team', 'posts_per_page' => $show, 'post__not_in' => get_option('sticky_posts'), 'orderby' => 'date', 'order' => 'desc' );
	query_posts( $args );
	$n = 0;
	if ( have_posts() ) {
		while ( have_posts() ) { 
			the_post();
			$n++; if( $n%4 == 0 ) $nomargn = ' last'; else $nomargn = '';
			$designation = esc_html( get_post_meta( get_the_ID(), 'designation', true ) );
			$facebook = get_post_meta( get_the_ID(), 'facebook', true );
			$facebooklink = get_post_meta( get_the_ID(), 'facebooklink', true );
			$twitter = get_post_meta( get_the_ID(), 'twitter', true );
			$twitterlink = get_post_meta( get_the_ID(), 'twitterlink', true );
			$linkedin = get_post_meta( get_the_ID(), 'linkedin', true );
			$linkedinlink = get_post_meta( get_the_ID(), 'linkedinlink', true );
			$dribbble = get_post_meta( get_the_ID(), 'dribbble', true );
			$dribbblelink = get_post_meta( get_the_ID(), 'dribbblelink', true );
			$pint = get_post_meta( get_the_ID(), 'google', true );
			$googlelink = get_post_meta( get_the_ID(), 'googlelink', true );
			$bposts .= '<div class="ourteam_col '.$nomargn.'">';	
			$bposts .= '<div class="ourteam_thumb"><a href="'.get_permalink().'" title="'.get_the_title().'">'.( (get_the_post_thumbnail( get_the_ID(), 'thumbnail') != '') ? get_the_post_thumbnail( get_the_ID(), array( 270, 310 )) : '<img src="'.get_template_directory_uri().'/images/img_404.png" width="270" height="auto" />' ).'</a></div>';
			$bposts .= '<div class="ourteam_content">';
			$bposts .= '<h3>'.get_the_title().'</h3>';
			$bposts .= '<h6>'.$designation.'</h6>';
			$bposts .= '<div class="team-social-icon">';
	if( $facebook != '' ){
		$bposts .= '<a href="'.$facebooklink.'" title="'.$facebook.'" target="_blank"><i class="fab fa-'.$facebook.'"></i></a>';
	}
	if( $twitter != '' ){
		$bposts .= '<a href="'.$twitterlink.'" title="'.$twitter.'" target="_blank"><i class="fab fa-'.$twitter.'"></i></a>';
	}
	if( $linkedin != '' ){
		$bposts .= '<a href="'.$linkedinlink.'" title="'.$linkedin.'" target="_blank"><i class="fab fa-'.$linkedin.'"></i></a>';
	}
	if( $dribbble != '' ){
		$bposts .= '<a href="'.$dribbblelink.'" title="'.$dribbble.'" target="_blank"><i class="fab fa-'.$dribbble.'"></i></a>';
	}
	if( $pint != '' ){
		$bposts .= '<a href="'.$googlelink.'" title="'.$pint.'" target="_blank"><i class="fab fa-'.$pint.'"></i></a>';
	}
	$bposts .= '</div>';
			$bposts .= '<a href="'.get_the_permalink().'" class="read-more">'.of_get_option('teamreadmoretext').'</a>';
			$bposts .= '</div></div>';
 		}
	}else{
		$bposts .= '
		<div class="ourteam_col">
			<div class="ourteam_thumb"><a href="#"><img src="'.get_template_directory_uri().'/images/team1.jpg"></a></div>
			<div class="ourteam_content">
				<h3>Stive John</h3>
				<h6>Manager</h6>
				<div class="team-social-icon">
					<a target="_blank" title="facebook" href="#"><i class="fab fa-facebook-f"></i></a>
					<a target="_blank" title="twitter" href="#"><i class="fab fa-twitter"></i></a>
					<a target="_blank" title="google-plus" href="#"><i class="fab fa-google-plus-g"></i></a>
					<a target="_blank" title="twitter" href="#"><i class="fab fa-linkedin-in"></i></a>
					<div class="clear"></div>
				</div>
				<a href="#" class="read-more">Read More</a>
			</div>
		</div>

		<div class="ourteam_col">
			<div class="ourteam_thumb"><a href="#"><img src="'.get_template_directory_uri().'/images/team2.jpg"></a></div>
			<div class="ourteam_content">
				<h3>Aria Saal</h3>
				<h6>Team Leader</h6>
				<div class="team-social-icon">
					<a target="_blank" title="facebook" href="#"><i class="fab fa-facebook-f"></i></a>
					<a target="_blank" title="twitter" href="#"><i class="fab fa-twitter"></i></a>
					<a target="_blank" title="google-plus" href="#"><i class="fab fa-google-plus-g"></i></a>
					<a target="_blank" title="twitter" href="#"><i class="fab fa-linkedin-in"></i></a>
					<div class="clear"></div>
				</div>
				<a href="#" class="read-more">Read More</a>
			</div>
		</div>

		<div class="ourteam_col">
			<div class="ourteam_thumb"><a href="#"><img src="'.get_template_directory_uri().'/images/team3.jpg"></a></div>
			<div class="ourteam_content">
				<h3>Peter Fransis</h3>
				<h6>Designer</h6>
				<div class="team-social-icon">
					<a target="_blank" title="facebook" href="#"><i class="fab fa-facebook-f"></i></a>
					<a target="_blank" title="twitter" href="#"><i class="fab fa-twitter"></i></a>
					<a target="_blank" title="google-plus" href="#"><i class="fab fa-google-plus-g"></i></a>
					<a target="_blank" title="twitter" href="#"><i class="fab fa-linkedin-in"></i></a>
					<div class="clear"></div>
				</div>
				<a href="#" class="read-more">Read More</a>
			</div>
		</div>

		<div class="ourteam_col last">
			<div class="ourteam_thumb"><a href="#"><img src="'.get_template_directory_uri().'/images/team4.jpg"></a></div>
			<div class="ourteam_content">
				<h3>Eliea Summers</h3>
				<h6>Accountant</h6>
				<div class="team-social-icon">
					<a target="_blank" title="facebook" href="#"><i class="fab fa-facebook-f"></i></a>
					<a target="_blank" title="twitter" href="#"><i class="fab fa-twitter"></i></a>
					<a target="_blank" title="google-plus" href="#"><i class="fab fa-google-plus-g"></i></a>
					<a target="_blank" title="twitter" href="#"><i class="fab fa-linkedin-in"></i></a>
					<div class="clear"></div>
				</div>
				<a href="#" class="read-more">Read More</a>
			</div>
		</div>
		
		
		<div class="clear"></div>';
	}
	wp_reset_query();
	$bposts .= '<div class="clear"></div></div>';
    return $bposts;
}
add_shortcode( 'ourteam', 'ourteamposts_func' );

// shortcode for custom width
function pulsing_custom_width_func($atts, $content = null){
		extract(shortcode_atts(array(
			'width'		=> 'width',						
			'class'		=> null
		), $atts));
		return '<div class="'.$class.'" style="width:'.$width.';">'.do_shortcode($content).'</div>';		
}
add_shortcode('area','pulsing_custom_width_func');


// Social Icon Shortcodes
function pulsing_social_area($atts,$content = null){
  return '<div class="social-icons">'.do_shortcode($content).'</div>';
 }
add_shortcode('social_area','pulsing_social_area');

function pulsing_social($atts){
 extract(shortcode_atts(array(
  'icon' => '',
  'link' => ''
 ),$atts));
  return '<a href="'.$link.'" target="_blank" class="fab fa-'.$icon.'" title="'.$icon.'"></a>';
 }
add_shortcode('social','pulsing_social');

function contactform_func( $atts ) {
    $atts = shortcode_atts( array(
        'to_email' => get_bloginfo('admin_email'),
		'title' => 'Contact enquiry - '.home_url( '/' ),
    ), $atts );

	$cform = "<div class=\"main-form-area\" id=\"contactform_main\">";

	$cerr = array();
	if( isset($_POST['c_submit']) && $_POST['c_submit']=='Submit' ){
		$name 			= trim( $_POST['c_name'] );
		$lastname		= trim( $_POST['c_lastname'] );
		$email 			= trim( $_POST['c_email'] ) ;
		$phone 			= trim( $_POST['c_phone'] );
		$comments 		= trim( $_POST['c_comments'] );

		if( !$name )
			$cerr['name'] = 'Please enter your first name';
		if( !$lastname )
			$cerr['lastname'] = 'Please enter your last name';
		if( ! filter_var($email, FILTER_VALIDATE_EMAIL) ) 
			$cerr['email'] = 'Please enter a valid email.';
		if( !$phone )
			$cerr['phone'] = 'Please enter your phone number';
		if( !$comments )
			$cerr['comments'] = 'Please enter your message';

		if( count($cerr) == 0 ){
			$subject = $atts['title'];
			$headers = "From: ".$name." <" . strip_tags($email) . ">\r\n";
			$headers .= "MIME-Version: 1.0\r\n";
			$headers .= "Content-type: text/html; charset=iso-8859-1\r\n";
			$message = '<html><body>
							<table>
								<tr><td>Name: </td><td>'.$name.' '.$lastname.'</td></tr>
								<tr><td>Email: </td><td>'.$email.'</td></tr>
								<tr><td>Phone: </td><td>'.$phone.'</td></tr>
								<tr><td>Message: </td><td>'.$comments.'</td></tr>
							</table>
						</body>
					</html>';
			mail( $atts['to_email'], $subject, $message, $headers);
			$cform .= '<div class="success_msg">Thank you! A representative will get back to you very shortly.</div>';
			unset( $name, $lastname, $email, $phone, $comments );
		}else{
			$cform .= '<div class="error_msg">';
			$cform .= implode('<br />',$cerr);
			$cform .= '</div>';
		}
	}
	$capNum1 	= rand(1,4);
	$capNum2 	= rand(1,5);
	$capSum		= $capNum1 + $capNum2;
	$sumStr		= $capNum1." + ".$capNum2 ." = ";

	$cform .= "<form name=\"contactform\" action=\"#contactform_main\" method=\"post\">
			<p><input type=\"text\" name=\"c_name\" class=\"namefield\"  value=\"". ( ( empty($name) == false ) ? $name : "" ) ."\" placeholder=\"First Name\" /></p>
			<p><input type=\"text\" name=\"c_lastname\" class=\"webfield\" value=\"". ( ( empty($lastname) == false ) ? $lastname : "" ) ."\" placeholder=\"Last Name\" /></p><div class=\"clear\"></div>
			<p><input type=\"email\" name=\"c_email\" class=\"emailfield\" value=\"". ( ( empty($email) == false ) ? $email : "" ) ."\" placeholder=\"Email Address\" /></p>
			<p><input type=\"tel\" name=\"c_phone\" class=\"phonefield\" value=\"". ( ( empty($phone) == false ) ? $phone : "" ) ."\" placeholder=\"Phone No\" /></p><div class=\"clear\"></div>
			<p><textarea name=\"c_comments\" class=\"messagefield\" placeholder=\"Message\">". ( ( empty($comments) == false ) ? $comments : "" ) ."</textarea></p><div class=\"clear\"></div>";
	$cform .= "<p class=\"sub\"><input type=\"submit\" name=\"c_submit\" value=\"Submit\" class=\"search-submit\" /></p>
		</form>
	</div>";
    return $cform;
}
add_shortcode( 'contactform', 'contactform_func' );


//custom post type for Our photogallery
function my_custom_post_photogallery() {
	$labels = array(
		'name'               => __( 'Photo Gallery','pulsing' ),
		'singular_name'      => __( 'Photo Gallery','pulsing' ),
		'add_new'            => __( 'Add New','pulsing' ),
		'add_new_item'       => __( 'Add New Image / Video','pulsing' ),
		'edit_item'          => __( 'Edit Image/Video','pulsing' ),
		'new_item'           => __( 'New Image/Video','pulsing' ),
		'all_items'          => __( 'All Images/Videos','pulsing' ),
		'view_item'          => __( 'View Image/Video','pulsing' ),
		'search_items'       => __( 'Search Images/Videos','pulsing' ),
		'not_found'          => __( 'No images/videos found','pulsing' ),
		'not_found_in_trash' => __( 'No images/videos found in the Trash','pulsing' ), 
		'parent_item_colon'  => '',
		'menu_name'          => 'Photo Gallery'
	);
	$args = array(
		'labels'        => $labels,
		'description'   => 'Manage Photo Gallery',
		'public'        => true,
		'menu_icon'		=> 'dashicons-format-image',
		'supports'      => array( 'title', 'thumbnail' ),
		'has_archive'   => true,
	);
	register_post_type( 'photogallery', $args );
}
add_action( 'init', 'my_custom_post_photogallery' );


//  register gallery taxonomy
register_taxonomy( "gallerycategory", 
	array("photogallery"), 
	array(
		"hierarchical" => true, 
		"label" => "Gallery Category", 
		"singular_label" => "Photo Gallery", 
		"rewrite" => true
	)
);

add_action("manage_posts_custom_column",  "photogallery_custom_columns");
add_filter("manage_edit-photogallery_columns", "photogallery_edit_columns");
function photogallery_edit_columns($columns){
	$columns = array(
		"cb" => '<input type="checkbox" />',
		"title" => "Gallery Title",
		"pcategory" => "Gallery Category",
		"view" => "Image",
		"date" => "Date",
	);
	return $columns;
}
function photogallery_custom_columns($column){
	global $post;
	switch ($column) {
		case "pcategory":
			echo get_the_term_list($post->ID, 'gallerycategory', '', ', ','');
		break;
		case "view":
			the_post_thumbnail('thumbnail');
		break;
		case "date":

		break;
	}
}


//[photogallery filter="false"]
function photogallery_shortcode_func( $atts ) {
	extract( shortcode_atts( array(
		'show' => -1,
		'filter' => 'true'
	), $atts ) );
	$pfStr = '';
	
	if( $filter == 'true' ){
	$pfStr .= '<div class="controls"><ul><li class="filter" data-filter="all">'.of_get_option('galleryshowall').'</li>';
	$categories = get_categories( array('taxonomy' => 'gallerycategory') );
	foreach ($categories as $category) {
		$pfStr .= '<li class="filter" data-filter="'.$category->term_id.'">'.$category->name.'</li>';
	}
	$pfStr .= '</ul></div>';
	}

	$pfStr .= '<div class="gallery"><ul id="Grid">';
	$j=0;
	$args = array(
			   'post_type'  => 'photogallery',
			   'posts_per_page' => $show,
				'meta_query' => array(
					array(
					 'key' => '_thumbnail_id',
					 'compare' => 'EXISTS'
					),
				)
			);
	query_posts($args); 
	if ( have_posts() ) : 
	while ( have_posts() ) : the_post(); 
	$j++;	
	$imgSrc = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full');
	$terms = wp_get_post_terms( get_the_ID(), 'gallerycategory', array("fields" => "all"));
	$slugAr = array();
	foreach( $terms as $tv ){
		$slugAr[] = $tv->term_id;
	}
	$pfStr .= '<li class="mix '.implode(' ', $slugAr).'" '.( ($j%4==0) ? 'style="margin-right:0"' : '' ).'>
			   <a href="'.$imgSrc[0].'" rel="prettyPhoto[pp_gal]"><img src="'.$imgSrc[0].'"/></a></li>';
	unset( $slugAr );
	endwhile; else: 
		$pfStr .= '<p>Sorry, photo gallery is empty.</p>';
	endif; 
	wp_reset_query();	
	$pfStr .= '</ul></div>';
	return $pfStr;
}
add_shortcode( 'photogallery', 'photogallery_shortcode_func' );

function heading_title_func( $atts, $content = null ) {
   extract( shortcode_atts( array(	
	'underline'	=> '',
	'align'		=> ''	
	), $atts ) ); 
	$hdntitle = '<h2 class="heading '.( (strtolower($underline) == 'yes') ? 'underline' : '' ).'" '.( ($align!='') ? 'style="text-align:'.$align.' !important;"' : '' ) .'>'.do_shortcode( $content ) .'</h2>'; 
    return $hdntitle;
}
add_shortcode( 'heading', 'heading_title_func' );
 
 
// Latest Post
function latestpostsoutput_func( $atts ){
   extract( shortcode_atts( array(
		'show' => '',
	), $atts ) );
	$postoutput = '';
	$postoutput .= '<div class="latestnews">';
	wp_reset_query();
	$n = 0;
	query_posts(  array( 'posts_per_page'=>$show, 'post__not_in' => get_option('sticky_posts') )  );
	if ( have_posts() ) :
		while ( have_posts() ) : the_post();
			$n++;
			if( $n%2==0 )  $nomgn = 'rightnews';	else $nomgn = ' ';
			if ( has_post_thumbnail()) {
				$large_imgSrc = wp_get_attachment_image_src( get_post_thumbnail_id(), 'large');
				$imgUrl = $large_imgSrc[0];
			}else{
				$imgUrl = get_template_directory_uri().'/images/img_404.png';
			}
			$postoutput .= ''.(($n%2==1) ? '<div class="post-row">' : '');	
			$postoutput .= '
			<div class="news-box">
					<div class="news-thumb">
						<a href="'.get_the_permalink().'"><img src="'.$imgUrl.'" alt="" /></a>
					</div>
					<div class="news">
						<a href="'.get_the_permalink().'"><h4>'.get_the_title().'</h4></a>
						<p>'.wp_trim_words( get_the_content(), of_get_option('newscontentlength'), '...' ).'</p>
						<a href="'.get_the_permalink().'" class="read-more">'.of_get_option('homereadmoretext').'</a>
					</div>
			</div>';	
			$postoutput .= ''.(($n%2==0) ? '<div class="clear"></div></div>' : '');	
		endwhile;
	endif;
	$postoutput .= '</div>';
	wp_reset_query();
	return $postoutput;
}
add_shortcode( 'latestposts', 'latestpostsoutput_func' );

function print_menu_shortcode($atts, $content = null) {
    extract(shortcode_atts(array( 'name' => null, ), $atts));
    return wp_nav_menu( array( 'menu' => $name, 'echo' => false ) );
}
add_shortcode('menu', 'print_menu_shortcode');


/****** Shortcode for About Us *******/
function grc_opening_hours_main($atts, $content = null){
	return '<ul class="opening-hour">'.do_shortcode($content).'</ul>';
	}
add_shortcode('opening_hours_main','grc_opening_hours_main');

function grc_opening_hours($atts){
	extract(shortcode_atts(array(
	'icon'	=> '',
	'day'	=> '',
	'time'	=> '',	
	), $atts));
	return '<li><span class="hourse-day"><i class="fa fa-'.$icon.'"></i>'.$day.'</span><span class="hourse-time">'.$time.'</span></li>';
	}
add_shortcode('opening_hours','grc_opening_hours');

/****** Shortcode for product *******/
function pulsing_products_main($atts, $content = null){
	return '<div class="product-main">'.do_shortcode($content).'</div>';
	}
add_shortcode('products_main','pulsing_products_main');

function pulsing_product($atts){
	extract(shortcode_atts(array(
	'image'	=> '',
	'title'	=> '',
	'price'	=> '',	
	'button'	=> '',	
	'icon'	=> '',	
	'link'	=> '',	
	'class'	=> '',	
	), $atts));
	return '<div class="product-col '.$class.'">
    <div class="product-thumb"><a href="'.$link.'"><img src="'.$image.'" /></a></div>
    <h4><a href="'.$link.'">'.$title.'</a></h4>
    </div>';
	}
add_shortcode('ourproduct','pulsing_product');

//[hr_top]
function back_to_top_func() {
	$back_top = '<div id="back-top">
		<a title="Top of Page" href="#top"><span></span></a>
	</div>';
	return $back_top;
}
add_shortcode( 'back-to-top', 'back_to_top_func' );


define('GRC_THEME_DOC','https://gracethemes.com/documentation/pulsing/');